; $Id: cvttosec1996.pro,v 1.1 1998/01/26 17:51:06 rgr Exp $

; $RCSfile: cvttosec1996.pro,v $
; $Author: rgr $
; $Date: 1998/01/26 17:51:06 $
; $Revision: 1.1 $

; CvtToSec1996
;
; This function takes a set of times stored in the AceTime data
; structures and returns a set of times expressed in seconds since
; 00:00:00 of January 1, 1996.


; Arguments
;   time = set of time sutructures to be converted - input


; Procedures used
;    InitTabSec1996


function CvtToSec1996, time

   common SbCvtToSec1996,  MonthTable

   ;if (n_elements(MonthTable) eq 0) then InitTabSec1996(MonthTable)
   if (n_elements(MonthTable) eq 0) then InitTabSec1996, MonthTable

   index = 12 * (time.year - 1996) + (time.month - 1)
   return, MonthTable(index) + 86400L * (time.day - 1)  $
                             +  3600L * time.hour       $
                             +    60L * time.min        $
                             +          time.sec
end
