; $Id: get_group_lo_rates_ce.pro,v 1.1 1998/03/09 18:12:55 rgr Exp $

; $RCSfile: get_group_lo_rates_ce.pro,v $
; $Author: rgr $
; $Date: 1998/03/09 18:12:55 $
; $Revision: 1.1 $

function get_group_lo_rates_ce, sec0_1996, sec1_1996

   lp = get_group_lo_rates_c(sec0_1996, sec1_1996)
   nrec = n_elements(lp)
   engr = replicate({L1_1CrisLowPriorityRate}, nrec)
   engr.ClockCycle = lp.ClockCycle
   engr.Second1996 = lp.Second1996
   engr.microsecond = lp.microsecond

   if (nrec gt 1) then begin
      computeCrisMiscRates, lp, engr
      computeCrisSingleRates, lp, engr
      computeCrisDataBufferRates, lp, engr
      computeCrisEventBufferRates, lp, engr
  endif

  return, engr
end
