; $Id: dumpl1_1crissubsettelemetry.pro,v 1.2 1998/07/31 00:33:17 rgr Exp $

; $RCSfile: dumpl1_1crissubsettelemetry.pro,v $
; $Author: rgr $
; $Date: 1998/07/31 00:33:17 $
; $Revision: 1.2 $


pro dumpL1_1CrisSubsetTelemetry, sub, LUN=lun

   lunit = -1
   if (keyword_set(lun)) then lunit = lun

   template = strarr(3)

   template[0] = "<start time               >   <S/C Clock: xxxxxxxxxx>  <MJF: x xx>"
   template[1] = "   <dt{0}  ><dt{4}  ><dt{8}  ><dt{12} >  <dt{16} ><dt{20} ><dt{24} ><dt{28} >"
   template[2] = "   <dt{32} ><dt{36} ><dt{40} ><dt{44} >  <dt{48} ><dt{52} ><data56 >"

   line = template[0]
      strput, line, "                           ", 0
      segmentValue = string(stringDate1996(sub.Second1996), sub.microsecond, FORMAT="(a, '.', i6.6)")
      strput, line, segmentValue, 0
      strput, line, "                       ", 30
      segmentValue = string(sub.ClockMinorFrame, FORMAT="(' S/C Clock: ', i10.10, ' ')")
      strput, line, segmentValue, 30
      strput, line, "           ", 55
      segmentValue = string(sub.MajorFrameCount, sub.MinorFrameCount, FORMAT="(' MJF: ', i1, ' ', i2.2, ' ')")
      strput, line, segmentValue, 55
      printf, lunit, line
   line = template[1]
      strput, line, "         ", 3
      segmentValue = string(sub.CrisData[0], sub.CrisData[0+1], sub.CrisData[0+2], sub.CrisData[0+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 3
      strput, line, "         ", 12
      segmentValue = string(sub.CrisData[4], sub.CrisData[4+1], sub.CrisData[4+2], sub.CrisData[4+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 12
      strput, line, "         ", 21
      segmentValue = string(sub.CrisData[8], sub.CrisData[8+1], sub.CrisData[8+2], sub.CrisData[8+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 21
      strput, line, "         ", 30
      segmentValue = string(sub.CrisData[12], sub.CrisData[12+1], sub.CrisData[12+2], sub.CrisData[12+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 30
      strput, line, "         ", 41
      segmentValue = string(sub.CrisData[16], sub.CrisData[16+1], sub.CrisData[16+2], sub.CrisData[16+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 41
      strput, line, "         ", 50
      segmentValue = string(sub.CrisData[20], sub.CrisData[20+1], sub.CrisData[20+2], sub.CrisData[20+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 50
      strput, line, "         ", 59
      segmentValue = string(sub.CrisData[24], sub.CrisData[24+1], sub.CrisData[24+2], sub.CrisData[24+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 59
      strput, line, "         ", 68
      segmentValue = string(sub.CrisData[28], sub.CrisData[28+1], sub.CrisData[28+2], sub.CrisData[28+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 68
      printf, lunit, line
   line = template[2]
      strput, line, "         ", 3
      segmentValue = string(sub.CrisData[32], sub.CrisData[32+1], sub.CrisData[32+2], sub.CrisData[32+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 3
      strput, line, "         ", 12
      segmentValue = string(sub.CrisData[36], sub.CrisData[36+1], sub.CrisData[36+2], sub.CrisData[36+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 12
      strput, line, "         ", 21
      segmentValue = string(sub.CrisData[40], sub.CrisData[40+1], sub.CrisData[40+2], sub.CrisData[40+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 21
      strput, line, "         ", 30
      segmentValue = string(sub.CrisData[44], sub.CrisData[44+1], sub.CrisData[44+2], sub.CrisData[44+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 30
      strput, line, "         ", 41
      segmentValue = string(sub.CrisData[48], sub.CrisData[48+1], sub.CrisData[48+2], sub.CrisData[48+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 41
      strput, line, "         ", 50
      segmentValue = string(sub.CrisData[52], sub.CrisData[52+1], sub.CrisData[52+2], sub.CrisData[52+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 50
      strput, line, "         ", 59
      segmentValue = string(sub.CrisData[56], sub.CrisData[57], FORMAT="(' ', z2.2, z2.2, '    ')")
      strput, line, segmentValue, 59
      printf, lunit, line

end
