; $Id: dumpl1crishighpriorityrate.pro,v 1.1 1998/05/04 20:09:37 rgr Exp $

; $RCSfile: dumpl1crishighpriorityrate.pro,v $
; $Author: rgr $
; $Date: 1998/05/04 20:09:37 $
; $Revision: 1.1 $


pro dumpL1CrisHighPriorityRate, hp, LUN=lun

   lunit = -1
   if (keyword_set(lun)) then lunit = lun

   template = strarr(6)

   template[0] = "CRIS High Priority Rates"
   template[1] = "<start time               >      <S/C Clock: xxxxxxxxxx>"
   template[2] = ""
   template[3] = "Quality         Rate"
   template[4] = "<q{0} >  0. <rate{0}>"
   template[5] = "<q{1} >  1. <rate{1}>"

   line = template[0]
      printf, lunit, line
   line = template[1]
      strput, line, "                           ", 0
      segmentValue = string(stringDate1996(hp.Second1996), hp.microsecond, FORMAT="(a, '.', i6.6)")
      strput, line, segmentValue, 0
      strput, line, "                       ", 33
      segmentValue = string(hp.ClockMinorFrame, FORMAT="(' S/C Clock: ', i10.10, ' ')")
      strput, line, segmentValue, 33
      printf, lunit, line
   line = template[2]
      printf, lunit, line
   line = template[3]
      printf, lunit, line
   line = template[4]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[0], FORMAT="('  ', z2.2, '   ')")
      strput, line, segmentValue, 0
      strput, line, "         ", 12
      segmentValue = string(hp.hp[0], FORMAT="(' ', i7, ' ')")
      strput, line, segmentValue, 12
      printf, lunit, line
   line = template[5]
      strput, line, "       ", 0
      segmentValue = string(hp.QualityHp[1], FORMAT="('  ', z2.2, '   ')")
      strput, line, segmentValue, 0
      strput, line, "         ", 12
      segmentValue = string(hp.hp[1], FORMAT="(' ', i7, ' ')")
      strput, line, segmentValue, 12
      printf, lunit, line

end
