; $Id: dumpl1_1sislowpriorityrate.pro,v 1.1 1998/05/04 20:36:00 rgr Exp $

; $RCSfile: dumpl1_1sislowpriorityrate.pro,v $
; $Author: rgr $
; $Date: 1998/05/04 20:36:00 $
; $Revision: 1.1 $


; This procedure dumps one L1_1SisLowPriorityRate structures
;
; Arguments
;   lp = data structure to be dumped-input
;
; Keywords
;    lun = logical unit of output device - (default is standard output)
;
;
; Procedures and functions used
;   dumpL1_1SisLowPriorityRateBuffer
;   dumpL1_1SisLowPriorityRateSingle

pro dumpL1_1SisLowPriorityRate, lp, LUN=lun

   lunit = -1
   if (keyword_set(lun)) then lunit = lun

   dumpL1_1SisLowPriorityRateSingle, lp, LUN=lunit
   printf, lunit
   dumpL1_1SisLowPriorityRateBuffer, lp, LUN=lunit

end
