/* $Id: dumpL1_1CrisDiagnosticEvent.c,v 1.1 1998/07/31 00:57:01 rgr Exp $ */

/* $RCSfile: dumpL1_1CrisDiagnosticEvent.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/07/31 00:57:01 $ */
/* $Revision: 1.1 $ */


/* This function dumps one L1_1CrisDiagnosticEvent structure. */
/*                                                            */
/* Arguments                                                  */
/*   de = data structure to be dumped-input                   */

#include <stdio.h>
#include <string.h>

#include "cris/L1_1CrisDiagnosticEvent.h"

#include "cris/dumpce_crisEvt.h"
#include "cris/dumpL1_1CrisRawEvent.h"
#include "utilities/stringDate1996.h"

void dumpL1_1CrisDiagnosticEvent(struct L1_1CrisDiagnosticEvent de)
{
   char date0[21];
   char date1[21];

   strcpy(date0, stringDate1996(de.Second1996MinorFrame0));
   strcpy(date1, stringDate1996(de.Second1996MinorFrame1));
   printf("CRIS Diagnostic Event:  %s to %s\n", date0, date1);
   dumpL1_1CrisRawEvent(de.raw);
   printf("Diagnostic\n");
   dumpce_crisEvt(de.normal);
}
