/* $Id: dumpL1_1SisDiagnosticEvent.c,v 1.1 1998/07/31 01:20:01 rgr Exp $ */

/* $RCSfile: dumpL1_1SisDiagnosticEvent.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/07/31 01:20:01 $ */
/* $Revision: 1.1 $ */


/* This function dumps one L1_1SisDiagnosticEvent structure. */
/*                                                           */
/* Arguments                                                 */
/*   de = data structure to be dumped-input                  */

#include <stdio.h>
#include <string.h>

#include "sis/L1_1SisDiagnosticEvent.h"

#include "sis/dumpL1_1SisEvent.h"
#include "sis/dumpL1_1SisRawEvent.h"
#include "utilities/stringDate1996.h"

void dumpL1_1SisDiagnosticEvent(struct L1_1SisDiagnosticEvent de)
{
   char date0[21];
   char date1[21];

   strcpy(date0, stringDate1996(de.Second1996MinorFrame0));
   strcpy(date1, stringDate1996(de.Second1996MinorFrame1));
   printf("SIS Diagnostic Event:  %s to %s\n", date0, date1);
   dumpL1_1SisRawEvent(de.raw);
   printf("Diagnostic\n");
   dumpL1_1SisEvent(de.normal);
}
