/* $Id: computeSisSingleRates.c,v 1.1 1998/07/27 12:33:12 rgr Exp $ */

/* $RCSfile: computeSisSingleRates.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/07/27 12:33:12 $ */
/* $Revision: 1.1 $ */

#include "sis/L1_1SisLowPriorityRate.h"

void computeSisSingleRates(struct L1_1SisLowPriorityRate *engr)
{

   engr->SingleRate.m1a  = engr->RejectRate.m1a  + engr->ValidRate.m1a;
   engr->SingleRate.m1ha = engr->RejectRate.m1ha + engr->ValidRate.m1ha;
   engr->SingleRate.m2a  = engr->RejectRate.m2a  + engr->ValidRate.m2a;
   engr->SingleRate.m2ha = engr->RejectRate.m2ha + engr->ValidRate.m2ha;
   engr->SingleRate.t1a  = engr->RejectRate.t1a  + engr->ValidRate.t1a;
   engr->SingleRate.t2a  = engr->RejectRate.t2a  + engr->ValidRate.t2a;
   engr->SingleRate.t3a  = engr->RejectRate.t3a  + engr->ValidRate.t3a;
   engr->SingleRate.t4a  = engr->RejectRate.t4a  + engr->ValidRate.t4a;
   engr->SingleRate.t5a  = engr->RejectRate.t5a  + engr->ValidRate.t5a;
   engr->SingleRate.t6a  = engr->RejectRate.t6a  + engr->ValidRate.t6a;
   engr->SingleRate.t7a  = engr->RejectRate.t7a  + engr->ValidRate.t7a;
   engr->SingleRate.t8a  = engr->RejectRate.t8a  + engr->ValidRate.t8a;
   engr->SingleRate.m12a = engr->RejectRate.m12a + engr->ValidRate.m12a;
   engr->SingleRate.mora = engr->RejectRate.mora + engr->ValidRate.mora;
   engr->SingleRate.hora = engr->RejectRate.hora + engr->ValidRate.hora;
   engr->SingleRate.hiza = engr->RejectRate.hiza + engr->ValidRate.hiza;
   engr->SingleRate.MaybeHiza = engr->RejectRate.MaybeHiza 
                              + engr->ValidRate.MaybeHiza;
   engr->SingleRate.z2a       = engr->RejectRate.z2a
                              + engr->ValidRate.z2a;
   engr->SingleRate.MaybeZ2a  = engr->RejectRate.MaybeZ2a
                              + engr->ValidRate.MaybeZ2a;
   engr->SingleRate.MaybeZ1a  = engr->RejectRate.MaybeZ1a
                              + engr->ValidRate.MaybeZ1a;
   engr->SingleRate.m1b  = engr->RejectRate.m1b  + engr->ValidRate.m1b;
   engr->SingleRate.m1hb = engr->RejectRate.m1hb + engr->ValidRate.m1hb;
   engr->SingleRate.m2b  = engr->RejectRate.m2b  + engr->ValidRate.m2b;
   engr->SingleRate.m2hb = engr->RejectRate.m2hb
                         + engr->ValidRate.m2hb;
   engr->SingleRate.t1b  = engr->RejectRate.t1b  + engr->ValidRate.t1b;
   engr->SingleRate.t2b  = engr->RejectRate.t2b  + engr->ValidRate.t2b;
   engr->SingleRate.t3b  = engr->RejectRate.t3b  + engr->ValidRate.t3b;
   engr->SingleRate.t4b  = engr->RejectRate.t4b  + engr->ValidRate.t4b;
   engr->SingleRate.t5b  = engr->RejectRate.t5b  + engr->ValidRate.t5b;
   engr->SingleRate.t6b  = engr->RejectRate.t6b  + engr->ValidRate.t6b;
   engr->SingleRate.t7b  = engr->RejectRate.t7b  + engr->ValidRate.t7b;
   engr->SingleRate.t8b  = engr->RejectRate.t8b  + engr->ValidRate.t8b;
   engr->SingleRate.m12b = engr->RejectRate.m12b + engr->ValidRate.m12b;
   engr->SingleRate.morb = engr->RejectRate.morb + engr->ValidRate.morb;
   engr->SingleRate.horb = engr->RejectRate.horb + engr->ValidRate.horb;
   engr->SingleRate.hizb = engr->RejectRate.hizb + engr->ValidRate.hizb;
   engr->SingleRate.MaybeHizb = engr->RejectRate.MaybeHizb
                              + engr->ValidRate.MaybeHizb;
   engr->SingleRate.z2b       = engr->RejectRate.z2b
                              + engr->ValidRate.z2b;
   engr->SingleRate.MaybeZ2b  = engr->RejectRate.MaybeZ2b
                              + engr->ValidRate.MaybeZ2b;
   engr->SingleRate.MaybeZ1b  = engr->RejectRate.MaybeZ1b
                              + engr->ValidRate.MaybeZ1b;
   engr->SingleRate.RejFast   = engr->RejectRate.RejFast
                              + engr->ValidRate.RejFast;
   engr->SingleRate.StimCoin  = engr->RejectRate.StimCoin
                              + engr->ValidRate.StimCoin;
   engr->SingleRate.hazard    = engr->RejectRate.hazard
                              + engr->ValidRate.hazard;
   engr->SingleRate.adc2a     = engr->RejectRate.adc2a
                              + engr->ValidRate.adc2a;
   engr->SingleRate.adc3a     = engr->RejectRate.adc3a
                              + engr->ValidRate.adc3a;
   engr->SingleRate.adc2b     = engr->RejectRate.adc2b
                              + engr->ValidRate.adc2b;
   engr->SingleRate.adc3b     = engr->RejectRate.adc3b
                              + engr->ValidRate.adc3b;
   engr->SingleRate.CoinRate0 = engr->RejectRate.CoinRate0
                              + engr->ValidRate.CoinRate0;
   engr->SingleRate.CoinRate1 = engr->RejectRate.CoinRate1
                              + engr->ValidRate.CoinRate1;

   engr->QualitySingleRate.m1a  = engr->QualityRejectRate.m1a
                                | engr->QualityValidRate.m1a;
   engr->QualitySingleRate.m1ha = engr->QualityRejectRate.m1ha
                                | engr->QualityValidRate.m1ha;
   engr->QualitySingleRate.m2a  = engr->QualityRejectRate.m2a
                                | engr->QualityValidRate.m2a;
   engr->QualitySingleRate.m2ha = engr->QualityRejectRate.m2ha
                                | engr->QualityValidRate.m2ha;
   engr->QualitySingleRate.t1a  = engr->QualityRejectRate.t1a
                                | engr->QualityValidRate.t1a;
   engr->QualitySingleRate.t2a  = engr->QualityRejectRate.t2a
                                | engr->QualityValidRate.t2a;
   engr->QualitySingleRate.t3a  = engr->QualityRejectRate.t3a
                                | engr->QualityValidRate.t3a;
   engr->QualitySingleRate.t4a  = engr->QualityRejectRate.t4a
                                | engr->QualityValidRate.t4a;
   engr->QualitySingleRate.t5a  = engr->QualityRejectRate.t5a
                                | engr->QualityValidRate.t5a;
   engr->QualitySingleRate.t6a  = engr->QualityRejectRate.t6a
                                | engr->QualityValidRate.t6a;
   engr->QualitySingleRate.t7a  = engr->QualityRejectRate.t7a
                                | engr->QualityValidRate.t7a;
   engr->QualitySingleRate.t8a  = engr->QualityRejectRate.t8a
                                | engr->QualityValidRate.t8a;
   engr->QualitySingleRate.m12a = engr->QualityRejectRate.m12a
                                | engr->QualityValidRate.m12a;
   engr->QualitySingleRate.mora = engr->QualityRejectRate.mora
                                | engr->QualityValidRate.mora;
   engr->QualitySingleRate.hora = engr->QualityRejectRate.hora
                                | engr->QualityValidRate.hora;
   engr->QualitySingleRate.hiza = engr->QualityRejectRate.hiza
                                | engr->QualityValidRate.hiza;
   engr->QualitySingleRate.MaybeHiza = engr->QualityRejectRate.MaybeHiza
                                     | engr->QualityValidRate.MaybeHiza;
   engr->QualitySingleRate.z2a       = engr->QualityRejectRate.z2a
                                     | engr->QualityValidRate.z2a;
   engr->QualitySingleRate.MaybeZ2a  = engr->QualityRejectRate.MaybeZ2a
                                     | engr->QualityValidRate.MaybeZ2a;
   engr->QualitySingleRate.MaybeZ1a  = engr->QualityRejectRate.MaybeZ1a
                                     | engr->QualityValidRate.MaybeZ1a;
   engr->QualitySingleRate.m1b  = engr->QualityRejectRate.m1b
                                | engr->QualityValidRate.m1b;
   engr->QualitySingleRate.m1hb = engr->QualityRejectRate.m1hb
                                | engr->QualityValidRate.m1hb;
   engr->QualitySingleRate.m2b  = engr->QualityRejectRate.m2b
                                | engr->QualityValidRate.m2b;
   engr->QualitySingleRate.m2hb = engr->QualityRejectRate.m2hb
                                | engr->QualityValidRate.m2hb;
   engr->QualitySingleRate.t1b  = engr->QualityRejectRate.t1b
                                | engr->QualityValidRate.t1b;
   engr->QualitySingleRate.t2b  = engr->QualityRejectRate.t2b
                                | engr->QualityValidRate.t2b;
   engr->QualitySingleRate.t3b  = engr->QualityRejectRate.t3b
                                | engr->QualityValidRate.t3b;
   engr->QualitySingleRate.t4b  = engr->QualityRejectRate.t4b
                                | engr->QualityValidRate.t4b;
   engr->QualitySingleRate.t5b  = engr->QualityRejectRate.t5b
                                | engr->QualityValidRate.t5b;
   engr->QualitySingleRate.t6b  = engr->QualityRejectRate.t6b
                                | engr->QualityValidRate.t6b;
   engr->QualitySingleRate.t7b  = engr->QualityRejectRate.t7b
                                | engr->QualityValidRate.t7b;
   engr->QualitySingleRate.t8b  = engr->QualityRejectRate.t8b
                                | engr->QualityValidRate.t8b;
   engr->QualitySingleRate.m12b = engr->QualityRejectRate.m12b
                                | engr->QualityValidRate.m12b;
   engr->QualitySingleRate.morb = engr->QualityRejectRate.morb
                                | engr->QualityValidRate.morb;
   engr->QualitySingleRate.horb = engr->QualityRejectRate.horb
                                | engr->QualityValidRate.horb;
   engr->QualitySingleRate.hizb = engr->QualityRejectRate.hizb
                                | engr->QualityValidRate.hizb;
   engr->QualitySingleRate.MaybeHizb = engr->QualityRejectRate.MaybeHizb
                                     | engr->QualityValidRate.MaybeHizb;
   engr->QualitySingleRate.z2b       = engr->QualityRejectRate.z2b
                                     | engr->QualityValidRate.z2b;
   engr->QualitySingleRate.MaybeZ2b  = engr->QualityRejectRate.MaybeZ2b
                                     | engr->QualityValidRate.MaybeZ2b;
   engr->QualitySingleRate.MaybeZ1b  = engr->QualityRejectRate.MaybeZ1b
                                     | engr->QualityValidRate.MaybeZ1b;
   engr->QualitySingleRate.RejFast   = engr->QualityRejectRate.RejFast
                                     | engr->QualityValidRate.RejFast;
   engr->QualitySingleRate.StimCoin  = engr->QualityRejectRate.StimCoin
                                     | engr->QualityValidRate.StimCoin;
   engr->QualitySingleRate.hazard    = engr->QualityRejectRate.hazard
                                     | engr->QualityValidRate.hazard;
   engr->QualitySingleRate.adc2a     = engr->QualityRejectRate.adc2a
                                     | engr->QualityValidRate.adc2a;
   engr->QualitySingleRate.adc3a     = engr->QualityRejectRate.adc3a
                                     | engr->QualityValidRate.adc3a;
   engr->QualitySingleRate.adc2b     = engr->QualityRejectRate.adc2b
                                     | engr->QualityValidRate.adc2b;
   engr->QualitySingleRate.adc3b     = engr->QualityRejectRate.adc3b
                                     | engr->QualityValidRate.adc3b;
   engr->QualitySingleRate.CoinRate0 = engr->QualityRejectRate.CoinRate0
                                     | engr->QualityValidRate.CoinRate0;
   engr->QualitySingleRate.CoinRate1 = engr->QualityRejectRate.CoinRate1
                                     | engr->QualityValidRate.CoinRate1;

}
