/* $Id: cvtSisAdcToScaledVoltage.c,v 1.1 1998/07/27 12:33:20 rgr Exp $ */

/* $RCSfile: cvtSisAdcToScaledVoltage.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/07/27 12:33:20 $ */
/* $Revision: 1.1 $ */

#include "hdfi.h"

float32 cvtSisAdcToScaledVoltage(uint16 adc)
{
   static float32 ScaledVoltage[1024];
   static int first = 1;

   float64 factor;
     int i;
   float64 offset;

   if (first) {
      first = 0;
      factor = -(1.0/102.55);
      offset = (1015.0 - 4.9*102.55)/102.55;
      for (i=0; i<1024; i++)
         ScaledVoltage[i] = (float32) (factor*((float) i) + offset);
   }
   return ScaledVoltage[adc];
}
