/* $Id: unpackStackPhas_s.c,v 1.2 1998/07/27 12:36:55 rgr Exp $ */

/* $RCSfile: unpackStackPhas_s.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/07/27 12:36:55 $ */
/* $Revision: 1.2 $ */

#include "hdfi.h"
#include "sis.h"

#define NSTACK  NUM_SIS_STACK_DETECTORS


void unpackStackPhas_s(uint8  *telemetry,
                       uint32  *index,
          struct L1_1SisEvent  *event)

{
   uint32  byte;
   uint8 i;

   for (i=0; i<NSTACK; i++) {
      event->StackA[i] = 0xffff;
      event->StackB[i] = 0xffff;
   }
   byte = *index;


   if (event->RangeA) {
      for (i=0; i < event->RangeA;) {
         event->StackA[i] = (((short) (telemetry[byte])) << 4) |
                            (((short) (telemetry[byte+1])) >> 4);
         i++;
         byte += 2;
         if (i >= event->RangeA) break;
         event->StackA[i] =
                         (((short) (telemetry[byte-1] & 0x0f)) << 8) |
                         ((short) telemetry[byte]);
         i++;
         byte++;
      }
      *index = byte;
   }
   if (event->RangeB) {
      for (i=0; i< event->RangeB;) {
         event->StackB[i] = (((short) (telemetry[byte])) << 4) |
                            (((short) (telemetry[byte+1])) >> 4);
         i++;
         byte += 2;
         if (i >= event->RangeB) break;
         event->StackB[i] =
                         (((short) (telemetry[byte-1] & 0x0f)) << 8) |
                         ((short) telemetry[byte]);
         i++;
         byte++;
      }
      *index = byte;
   }
}

#undef NSTACK
