/* $Id: printL1SisDacOffset0.c,v 1.1 1998/07/27 11:04:29 rgr Exp $ */

/* $RCSfile: printL1SisDacOffset0.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/07/27 11:04:29 $ */
/* $Revision: 1.1 $ */

/* This program prints dumps of the L1SisDacOffset0 structures found */
/* between the start and stop times.                                 */
/*                                                                   */
/* Arguments                                                         */
/*    argv[1] = start day expressed as YYMMDD                        */
/*    argv[2] = start time-of-day expressed as HHMMSS                */
/*    argv[3] = stop day expressed as YYMM DD                        */
/*    argv[4] = stop time-of-day expressed as HHMMSS                 */


#include <stdio.h>
#include <stdlib.h>

#include "hdfi.h"
#include "sis/L1SisDacOffset0.h"

#include "utilities/cvtToSec1996_ymd_hms.h"
#include "sisGetData/getGroupDacOffset0s_s.h"
#include "sis/dumpL1SisDacOffset0.h"

int main(argc, argv)
int argc;
char *argv[];
{
                     long hms;
   struct L1SisDacOffset0 *dac;
                   uint32 t0;
                   uint32 t1;
                     long ymd;

   ymd = atol(argv[1]);
   hms = atol(argv[2]);
   t0 = cvtToSec1996_ymd_hms(ymd, hms);
   ymd = atol(argv[3]);
   hms = atol(argv[4]);
   t1 = cvtToSec1996_ymd_hms(ymd, hms);

   dac = getGroupDacOffset0s_s(t0, t1, 1);
   while(dac->Second1996) {
      dumpL1SisDacOffset0(*dac);
      printf("\n\n");
      dac++;
   }
   exit(0);
}
