/* $Id: printL1_1SisHskp.c,v 1.2 1998/08/03 13:01:23 rgr Exp $ */

/* $RCSfile: printL1_1SisHskp.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/08/03 13:01:23 $ */
/* $Revision: 1.2 $ */

/* This program prints dumps of the L1_1SisHskp structures found */
/* between the start and stop times.                             */
/*                                                               */
/* Arguments                                                     */
/*    argv[1] = start day expressed as YYMMDD                    */
/*    argv[2] = start time-of-day expressed as HHMMSS            */
/*    argv[3] = stop day expressed as YYMM DD                    */
/*    argv[4] = stop time-of-day expressed as HHMMSS             */


#include <stdio.h>
#include <stdlib.h>

#include "hdfi.h"
#include "sis/L1_1SisHskp.h"

#include "utilities/cvtToSec1996_ymd_hms.h"
#include "sis/sisGetData/getGroupHskps_se.h"
#include "sis/dumpL1_1SisHskp.h"

int main(argc, argv)
int argc;
char *argv[];
{
                 long hms;
   struct L1_1SisHskp *hskp;
               uint32 t0;
               uint32 t1;
                 long ymd;

   ymd = atol(argv[1]);
   hms = atol(argv[2]);
   t0 = cvtToSec1996_ymd_hms(ymd, hms);
   ymd = atol(argv[3]);
   hms = atol(argv[4]);
   t1 = cvtToSec1996_ymd_hms(ymd, hms);

   hskp = getGroupHskps_se(t0, t1, 1);
   while(hskp->Second1996) {
      dumpL1_1SisHskp(*hskp);
      printf("\n\n");
      hskp++;
   }
   exit(0);
}
