; $Id: fetchl1_1crishskpunits.pro,v 1.1 1998/05/04 19:58:53 rgr Exp $

; $RCSfile: fetchl1_1crishskpunits.pro,v $
; $Author: rgr $
; $Date: 1998/05/04 19:58:53 $
; $Revision: 1.1 $

pro FetchL1_1CrisHskpUnits, fieldname, units

   field = strupcase(fieldname) 
   units = ''
   if (field eq 'SECOND1996') then units = 'Seconds of 1996'
   if (field eq 'MICROSECOND') then units = 'microsecond'

   if (strpos(field, 'MONITOR') eq 0) then begin
      units = 'Volts'
      if (strpos(field, 'HVPS') ge 0) then units = 'Scaled Volts'
      if (strpos(field, 'PSAI') ge 0) then units = 'micro Amps'
      if (strpos(field, 'PSBI') ge 0) then units = 'micro Amps'
   endif

   if (strpos(field, 'TEMPERATURE') eq 0) then units = 'Deg, C'
   if (strpos(field, 'LEAKAGECURRENT') eq 0) then units = 'micro Amps'
   if (strpos(field, 'DAC') eq 0) then units = 'Volts'
   if (strpos(field, 'QUALITY') eq 0) then                            $
                                   units = 'f,mnf,clk,s,ct,cy,L0,L1_1'
end
