; $Id: fetchl1_1crissummaryunits.pro,v 1.1 1998/05/04 19:59:59 rgr Exp $

; $RCSfile: fetchl1_1crissummaryunits.pro,v $
; $Author: rgr $
; $Date: 1998/05/04 19:59:59 $
; $Revision: 1.1 $

pro FetchL1_1CrisSummaryUnits, fieldname, units

   field = strupcase(fieldname) 
   case field of
                'CLOCKMINOFRAME' : units = ''
                    'SECOND1996' : units = 'Seconds of 1996'
                   'MICROSECOND' : units = 'microsecond'
                       'QUALITY' : units = 'f,mnf,clk,s,ct,cy,L0,L1_1'
                'MAINBUSVOLTAGE' : units = 'Volts'
                   'CRISCURRENT' : units = 'Amps'
      'CRISINTERNALTEMPERATURE1' : units = 'Deg, C'
      'CRISINTERNALTEMPERATURE2' : units = 'Deg, C'
      'CRISINTERFACETEMPERATURE' : units = 'Deg, C'
                           else  : units = ''
   endcase
end
