; $Id: dumpl1criscommandtable.pro,v 1.2 1998/07/27 13:33:49 rgr Exp $

; $RCSfile: dumpl1criscommandtable.pro,v $
; $Author: rgr $
; $Date: 1998/07/27 13:33:49 $
; $Revision: 1.2 $


pro dumpL1CrisCommandTable, ct, LUN=lun

   lunit = -1
   if (keyword_set(lun)) then lunit = lun

   template = strarr(104)

   template[000] = "CRIS Command Table - <start time               >   <S/C Clock: xxxxxxxxxx>"
   template[001] = "                     <stop time                >   <S/C Clock: yyyyyyyyyy>"
   template[002] = "<No. echoes: xxxxx>"
   template[003] = "                                          <iilimb: xxxxx xx>  <iignrf: xxxxx xx>"
   template[004] = "<phadisc: xxxxx xx>  <hetlim: xxxxx xx>   <laymax: xxxxx xx> <sftdisc: xxxxx xx>"
   template[005] = "<audgflg: xxxxx xx>  <hytlim: xxxxx xx>   <remmax: xxxxx xx> <sftrig0: xxxxx xx>"
   template[006] = "<audglim: xxxxx xx>    <rcmd: xxxxx xx> <twotelen: xxxxx xx> <sftrig1: xxxxx xx>"
   template[007] = "<valcflg: xxxxx xx>  <qctime: xxxxx xx>   <gphaen: xxxxx xx> <cdscoff: xxxxx xx>"
   template[008] = "<samplim: xxxxx xx> <ledtime: xxxxx xx>   <stbfon: xxxxx xx> <tdscoff: xxxxx xx>"
   template[009] = "  <heflg: xxxxx xx>  <sfmisc: xxxxx xx>  <ncenbox: xxxxx xx> <ihiprr0: xxxxx xx>"
   template[010] = "  <hyflg: xxxxx xx>  <camsel: xxxxx xx>    <iilim: xxxxx xx> <ihiprr1: xxxxx xx>"
   template[011] = "<preoflg: xxxxx xx>  <iilima: xxxxx xx>   <iignct: xxxxx xx> <stimeid: xxxxx xx>"
   template[012] = ""
   template[013] = "   ecmd:<a{0}   ><a{1}   ><a{2}   ><a{3}   ><a{4}   ><a{5}   > (hex)"
   template[014] = "  htcmd:<b{0}   ><b{1}   ><b{2}   ><b{3}   ><b{4}   ><b{5}   ><b{6}   ><b{7}   >"
   template[015] = " iilims:<c{0}   ><c{1}   ><c{2}   ><c{3}   >"
   template[016] = "  lsarr:<d{0}   ><d{1}   ><d{2}   ><d{3}   ><d{4}   ><d{5}   ><d{6}   ><d{7}   >"
   template[017] = "        <d{8}   ><d{9}   ><d{10}  ><d{11}  ><d{12}  ><d{13}  ><d{14}  ><d{15}  >"
   template[018] = "        <d{16}  ><d{17}  ><d{18}  ><d{19}  >"
   template[019] = "  loarr:<e{0}   ><e{1}   ><e{2}   ><e{3}   ><e{4}   ><e{5}   ><e{6}   ><e{7}   >"
   template[020] = "        <e{8}   ><e{9}   ><e{10}  ><e{11}  ><e{12}  ><e{13}  ><e{14}  ><e{15}  >"
   template[021] = "        <e{16}  ><e{17}  ><e{18}  ><e{19}  >"
   template[022] = " b_xoff:<f{0}   ><f{1}   >"
   template[023] = " rngmsk:<g{0}   ><g{1}   > (hex)"
   template[024] = "bparams:<h{0}   ><h{1}   ><h{2}   ><h{3}   ><h{4}   ><h{5}   ><h{6}   ><h{7}   >"
   template[025] = "  (hex) <h{8}   ><h{9}   ><h{10}  ><h{11}  ><h{12}  ><h{13}  ><h{14}  ><h{15}  >"
   template[026] = "        <h{16}  ><h{17}  ><h{18}  ><h{19}  >"
   template[027] = "bcenbox:<i{0}   ><i{1}   ><i{2}   ><i{3}   ><i{4}   ><i{5}   ><i{6}   ><i{7}   >"
   template[028] = "        <i{8}   ><i{9}   ><i{10}  ><i{11}  ><i{12}  ><i{13}  ><i{14}  ><i{15}  >"
   template[029] = "        <i{16}  ><i{17}  ><i{18}  ><i{19}  ><i{20}  ><i{21}  ><i{22}  ><i{23}  >"
   template[030] = "        <i{24}  ><i{25}  ><i{26}  ><i{27}  ><i{28}  ><i{29}  ><i{30}  ><i{31}  >"
   template[031] = "        <i{32}  ><i{33}  ><i{34}  ><i{35}  ><i{36}  ><i{37}  ><i{38}  ><i{39}  >"
   template[032] = "        <i{40}  ><i{41}  ><i{42}  ><i{43}  ><i{44}  ><i{45}  ><i{46}  ><i{47}  >"
   template[033] = "        <i{48}  ><i{49}  ><i{50}  ><i{51}  ><i{52}  ><i{53}  ><i{54}  ><i{55}  >"
   template[034] = "        <i{56}  ><i{57}  ><i{58}  ><i{59}  ><i{60}  ><i{61}  ><i{62}  ><i{63}  >"
   template[035] = "srgbits:<j{0}   ><j{1}   > (hex)"
   template[036] = "dacvals:<k{0}   ><k{1}   ><k{2}   ><k{3}   ><k{4}   ><k{5}   ><k{6}   ><k{7}   >"
   template[037] = "        <k{8}   ><k{9}   ><k{10}  ><k{11}  ><k{12}  ><k{13}  ><k{14}  ><k{15}  >"
   template[038] = "        <k{16}  ><k{17}  ><k{18}  ><k{19}  ><k{20}  ><k{21}  ><k{22}  ><k{23}  >"
   template[039] = "        <k{24}  ><k{25}  ><k{26}  ><k{27}  ><k{28}  ><k{29}  ><k{30}  ><k{31}  >"
   template[040] = "        <k{32}  ><k{33}  ><k{34}  ><k{35}  ><k{36}  ><k{37}  ><k{38}  ><k{39}  >"
   template[041] = "        <k{40}  ><k{41}  ><k{42}  ><k{43}  ><k{44}  ><k{45}  ><k{46}  ><k{47}  >"
   template[042] = "        <k{48}  ><k{49}  ><k{50}  ><k{51}  >"
   template[043] = "dacsize:<l{0}   ><l{1}   ><l{2}   ><l{3}   ><l{4}   ><l{5}   ><l{6}   ><l{7}   >"
   template[044] = "        <l{8}   ><l{9}   ><l{10}  ><l{11}  ><l{12}  ><l{13}  ><l{14}  ><l{15}  >"
   template[045] = "        <l{16}  ><l{17}  ><l{18}  ><l{19}  ><l{20}  ><l{21}  ><l{22}  ><l{23}  >"
   template[046] = "        <l{24}  ><l{25}  ><l{26}  ><l{27}  ><l{28}  ><l{29}  ><l{30}  ><l{31}  >"
   template[047] = "        <l{32}  ><l{33}  ><l{34}  ><l{35}  ><l{36}  ><l{37}  ><l{38}  ><l{39}  >"
   template[048] = "        <l{40}  ><l{41}  ><l{42}  ><l{43}  ><l{44}  ><l{45}  ><l{46}  ><l{47}  >"
   template[049] = "        <l{48}  ><l{49}  ><l{50}  ><l{51}  >"
   template[050] = " hdisc2:<ll{0}  ><ll{1}  ><ll{2}  ><ll{3}  ><ll{4}  ><ll{5}  ><ll{6}  ><ll{7}  >"
   template[051] = "        <ll{8}  ><ll{9}  ><ll{10} ><ll{11} >"
   template[052] = " hdisc1:<mm{0}  ><mm{1}  ><mm{2}  ><mm{3}  ><mm{4}  ><mm{5}  ><mm{6}  ><mm{7}  >"
   template[053] = "        <mm{8}  ><mm{9}  ><mm{10} ><mm{11} >"
   template[054] = " hdisc0:<m{0}   ><m{1}   ><m{2}   ><m{3}   ><m{4}   ><m{5}   ><m{6}   ><m{7}   >"
   template[055] = "        <m{8}   ><m{9}   ><m{10}  ><m{11}  >"
   template[056] = " mdisc2:<n{0}   ><n{1}   ><n{2}   ><n{3}   ><n{4}   ><n{5}   ><n{6}   ><n{7}   >"
   template[057] = "        <n{8}   ><n{9}   ><n{10}  ><n{11}  >"
   template[058] = " mdisc1:<o{0}   ><o{1}   ><o{2}   ><o{3}   ><o{4}   ><o{5}   ><o{6}   ><o{7}   >"
   template[059] = "        <o{8}   ><o{9}   ><o{10}  ><o{11}  >"
   template[060] = " mdisc0:<p{0}   ><p{1}   ><p{2}   ><p{3}   ><p{4}   ><p{5}   ><p{6}   ><p{7}   >"
   template[061] = "        <p{8}   ><p{9}   ><p{10}  ><p{11}  >"
   template[062] = "  adcen:<q{0}   ><q{1}   ><q{2}   ><q{3}   ><q{4}   ><q{5}   ><q{6}   ><q{7}   >"
   template[063] = "        <q{8}   ><q{9}   ><q{10}  ><q{11}  >"
   template[064] = "gdiscen:<r{0}   ><r{1}   ><r{2}   ><r{3}   ><r{4}   ><r{5}   ><r{6}   ><r{7}   >"
   template[065] = "        <r{8}   ><r{9}   ><r{10}  ><r{11}  >"
   template[066] = "mdiscen:<s{0}   ><s{1}   ><s{2}   ><s{3}   ><s{4}   ><s{5}   ><s{6}   ><s{7}   >"
   template[067] = "        <s{8}   ><s{9}   ><s{10}  ><s{11}  >"
   template[068] = "hdiscen:<t{0}   ><t{1}   ><t{2}   ><t{3}   ><t{4}   ><t{5}   ><t{6}   ><t{7}   >"
   template[069] = "        <t{8}   ><t{9}   ><t{10}  ><t{11}  >"
   template[070] = "  cnoc1:<u{0}   ><u{1}   ><u{2}   ><u{3}   ><u{4}   ><u{5}   ><u{6}   >"
   template[071] = "  cnoc2:<v{0}   ><v{1}   ><v{2}   ><v{3}   ><v{4}   ><v{5}   ><v{6}   >"
   template[072] = " eidmap:<w{0}   ><w{1}   ><w{2}   ><w{3}   ><w{4}   ><w{5}   ><w{6}   ><w{7}   >"
   template[073] = "        <w{8}   ><w{9}   ><w{10}  ><w{11}  ><w{12}  ><w{13}  ><w{14}  ><w{15}  >"
   template[074] = "        <w{16}  ><w{17}  ><w{18}  ><w{19}  ><w{20}  ><w{21}  ><w{22}  ><w{23}  >"
   template[075] = "        <w{24}  ><w{25}  ><w{26}  ><w{27}  ><w{28}  ><w{29}  ><w{30}  ><w{31}  >"
   template[076] = "        <w{32}  ><w{33}  ><w{34}  ><w{35}  ><w{36}  ><w{37}  ><w{38}  ><w{39}  >"
   template[077] = "        <w{40}  ><w{41}  ><w{42}  ><w{43}  ><w{44}  ><w{45}  ><w{46}  ><w{47}  >"
   template[078] = "        <w{48}  ><w{49}  ><w{50}  ><w{51}  ><w{52}  ><w{53}  ><w{54}  ><w{55}  >"
   template[079] = "        <w{56}  ><w{57}  ><w{58}  ><w{59}  ><w{60}  ><w{61}  ><w{62}  ><w{63}  >"
   template[080] = "        <w{64}  ><w{65}  ><w{66}  ><w{67}  ><w{68}  ><w{69}  ><w{70}  ><w{71}  >"
   template[081] = "        <w{72}  ><w{73}  ><w{74}  ><w{75}  ><w{76}  ><w{77}  ><w{78}  ><w{79}  >"
   template[082] = "        <w{80}  ><w{81}  ><w{82}  ><w{83}  ><w{84}  ><w{85}  ><w{86}  ><w{87}  >"
   template[083] = "        <w{88}  ><w{89}  ><w{90}  ><w{91}  ><w{92}  ><w{93}  ><w{94}  ><w{95}  >"
   template[084] = "        <w{96}  ><w{97}  ><w{98}  ><w{99}  ><w{100} ><w{101} ><w{102} ><w{103} >"
   template[085] = "        <w{104} ><w{105} ><w{106} ><w{107} ><w{108} ><w{109} ><w{110} ><w{111} >"
   template[086] = "        <w{112} ><w{113} ><w{114} ><w{115} ><w{116} ><w{117} ><w{118} ><w{119} >"
   template[087] = "        <w{120} ><w{121} ><w{122} ><w{123} ><w{124} ><w{125} ><w{126} ><w{127} >"
   template[088] = "        <w{128} ><w{129} ><w{130} ><w{131} ><w{132} ><w{133} ><w{134} ><w{135} >"
   template[089] = "        <w{136} ><w{137} ><w{138} ><w{139} ><w{140} ><w{141} ><w{142} ><w{143} >"
   template[090] = "        <w{144} ><w{145} ><w{146} ><w{147} ><w{148} ><w{149} ><w{150} ><w{151} >"
   template[091] = "        <w{152} ><w{153} ><w{154} ><w{155} ><w{156} ><w{157} ><w{158} ><w{159} >"
   template[092] = "        <w{160} ><w{161} ><w{162} ><w{163} ><w{164} ><w{165} ><w{166} ><w{167} >"
   template[093] = "        <w{168} ><w{169} ><w{170} ><w{171} ><w{172} ><w{173} ><w{174} ><w{175} >"
   template[094] = "        <w{176} ><w{177} ><w{178} ><w{179} ><w{180} ><w{181} ><w{182} ><w{183} >"
   template[095] = "        <w{184} ><w{185} ><w{186} ><w{187} ><w{188} ><w{189} ><w{190} ><w{191} >"
   template[096] = "        <w{192} ><w{193} ><w{194} ><w{195} ><w{196} ><w{197} ><w{198} ><w{199} >"
   template[097] = "        <w{200} ><w{201} ><w{202} ><w{203} ><w{204} ><w{205} ><w{206} ><w{207} >"
   template[098] = "        <w{208} ><w{209} ><w{210} ><w{211} ><w{212} ><w{213} ><w{214} ><w{215} >"
   template[099] = "        <w{216} ><w{217} ><w{218} ><w{219} ><w{220} ><w{221} ><w{222} ><w{223} >"
   template[100] = "        <w{224} ><w{225} ><w{226} ><w{227} ><w{228} ><w{229} ><w{230} ><w{231} >"
   template[101] = "        <w{232} ><w{233} ><w{234} ><w{235} ><w{236} ><w{237} ><w{238} ><w{239} >"
   template[102] = "        <w{240} ><w{241} ><w{242} ><w{243} ><w{244} ><w{245} ><w{246} ><w{247} >"
   template[103] = "        <w{248} ><w{249} ><w{250} ><w{251} ><w{252} ><w{253} ><w{254} ><w{255} >"

   line = template[0]
      strput, line, "                           ", 21
      segmentValue = string(stringDate1996(ct.Second1996MinorFrame0), ct.MicrosecondMinorFrame0, FORMAT="(a, '.', i6.6)")
      strput, line, segmentValue, 21
      strput, line, "                       ", 51
      segmentValue = string(ct.ClockMinorFrame0, FORMAT="(' S/C Clock: ', i10.10, ' ')")
      strput, line, segmentValue, 51
      printf, lunit, line
   line = template[1]
      strput, line, "                           ", 21
      segmentValue = string(stringDate1996(ct.Second1996MinorFrame1), ct.MicrosecondMinorFrame1, FORMAT="(a, '.', i6.6)")
      strput, line, segmentValue, 21
      strput, line, "                       ", 51
      segmentValue = string(ct.ClockMinorFrame1, FORMAT="(' S/C Clock: ', i10.10, ' ')")
      strput, line, segmentValue, 51
      printf, lunit, line
   line = template[2]
      strput, line, "                   ", 0
      segmentValue = string(ct.NumberCommandEchoes, FORMAT="(' No. echoes: ', i5, ' ')")
      strput, line, segmentValue, 0
      printf, lunit, line
   line = template[3]
      strput, line, "                  ", 42
      segmentValue = string(expandUint16(ct.iilimb), ct.QualityIilimb, FORMAT="(' iilimb: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 42
      strput, line, "                  ", 62
      segmentValue = string(expandUint16(ct.iignrf), ct.QualityIignrf, FORMAT="(' iignrf: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 62
      printf, lunit, line
   line = template[4]
      strput, line, "                   ", 0
      segmentValue = string(expandUint16(ct.phadisc), ct.QualityPhadisc, FORMAT="(' phadisc: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                  ", 21
      segmentValue = string(expandUint16(ct.hetlim), ct.QualityHetlim, FORMAT="(' hetlim: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 21
      strput, line, "                  ", 42
      segmentValue = string(expandUint16(ct.laymax), ct.QualityLaymax, FORMAT="(' laymax: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 42
      strput, line, "                   ", 61
      segmentValue = string(expandUint16(ct.sftdisc), ct.QualitySftdisc, FORMAT="(' sftdisc: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 61
      printf, lunit, line
   line = template[5]
      strput, line, "                   ", 0
      segmentValue = string(expandUint16(ct.audgflg), ct.QualityAudgflg, FORMAT="(' audgflg: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                  ", 21
      segmentValue = string(expandUint16(ct.hytlim), ct.QualityHytlim, FORMAT="(' hytlim: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 21
      strput, line, "                  ", 42
      segmentValue = string(expandUint16(ct.remmax), ct.QualityRemmax, FORMAT="(' remmax: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 42
      strput, line, "                   ", 61
      segmentValue = string(expandUint16(ct.sftrig0), ct.QualitySftrig0, FORMAT="(' sftrig0: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 61
      printf, lunit, line
   line = template[6]
      strput, line, "                   ", 0
      segmentValue = string(expandUint16(ct.audglim), ct.QualityAudglim, FORMAT="(' audglim: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                ", 23
      segmentValue = string(expandUint16(ct.rcmd), ct.QualityRcmd, FORMAT="(' rcmd: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 23
      strput, line, "                    ", 40
      segmentValue = string(expandUint16(ct.twotelen), ct.QualityTwotelen, FORMAT="(' twotelen: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 40
      strput, line, "                   ", 61
      segmentValue = string(expandUint16(ct.sftrig1), ct.QualitySftrig1, FORMAT="(' sftrig1: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 61
      printf, lunit, line
   line = template[7]
      strput, line, "                   ", 0
      segmentValue = string(expandUint16(ct.valcflg), ct.QualityValcflg, FORMAT="(' valcflg: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                  ", 21
      segmentValue = string(expandUint16(ct.qctime), ct.QualityQctime, FORMAT="(' qctime: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 21
      strput, line, "                  ", 42
      segmentValue = string(expandUint16(ct.gphaen), ct.QualityGphaen, FORMAT="(' gphaen: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 42
      strput, line, "                   ", 61
      segmentValue = string(expandUint16(ct.cdscoff), ct.QualityCdscoff, FORMAT="(' cdscoff: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 61
      printf, lunit, line
   line = template[8]
      strput, line, "                   ", 0
      segmentValue = string(expandUint16(ct.samplim), ct.QualitySamplim, FORMAT="(' samplim: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                   ", 20
      segmentValue = string(expandUint16(ct.ledtime), ct.QualityLedtime, FORMAT="(' ledtime: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 20
      strput, line, "                  ", 42
      segmentValue = string(expandUint16(ct.stbfon), ct.QualityStbfon, FORMAT="(' stbfon: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 42
      strput, line, "                   ", 61
      segmentValue = string(expandUint16(ct.tdscoff), ct.QualityTdscoff, FORMAT="(' tdscoff: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 61
      printf, lunit, line
   line = template[9]
      strput, line, "                 ", 2
      segmentValue = string(expandUint16(ct.heflg), ct.QualityHeflg, FORMAT="(' heflg: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "                  ", 21
      segmentValue = string(expandUint16(ct.sfmisc), ct.QualitySfmisc, FORMAT="(' sfmisc: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 21
      strput, line, "                   ", 41
      segmentValue = string(expandUint16(ct.ncenbox), ct.QualityNcenbox, FORMAT="(' ncenbox: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 41
      strput, line, "                   ", 61
      segmentValue = string(expandUint16(ct.ihiprr0), ct.QualityIhiprr0, FORMAT="(' ihiprr0: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 61
      printf, lunit, line
   line = template[10]
      strput, line, "                 ", 2
      segmentValue = string(expandUint16(ct.hyflg), ct.QualityHyflg, FORMAT="(' hyflg: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "                  ", 21
      segmentValue = string(expandUint16(ct.camsel), ct.QualityCamsel, FORMAT="(' camsel: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 21
      strput, line, "                 ", 43
      segmentValue = string(expandUint16(ct.iilim), ct.QualityIilim, FORMAT="(' iilim: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 43
      strput, line, "                   ", 61
      segmentValue = string(expandUint16(ct.ihiprr1), ct.QualityIhiprr1, FORMAT="(' ihiprr1: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 61
      printf, lunit, line
   line = template[11]
      strput, line, "                   ", 0
      segmentValue = string(expandUint16(ct.preoflg), ct.QualityPreoflg, FORMAT="(' preoflg: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                  ", 21
      segmentValue = string(expandUint16(ct.iilima), ct.QualityIilima, FORMAT="(' iilima: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 21
      strput, line, "                  ", 42
      segmentValue = string(expandUint16(ct.iignct), ct.QualityIignct, FORMAT="(' iignct: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 42
      strput, line, "                   ", 61
      segmentValue = string(expandUint16(ct.stimeid), ct.QualityStimeid, FORMAT="(' stimeid: ', i5, ' ', z2.2, ' ')")
      strput, line, segmentValue, 61
      printf, lunit, line
   line = template[12]
      printf, lunit, line
   line = template[13]
      strput, line, "         ", 8
      segmentValue = string(expandUint16(ct.ecmd[0]), ct.QualityEcmd[0], FORMAT="('    ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(expandUint16(ct.ecmd[1]), ct.QualityEcmd[1], FORMAT="('    ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(expandUint16(ct.ecmd[2]), ct.QualityEcmd[2], FORMAT="('    ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(expandUint16(ct.ecmd[3]), ct.QualityEcmd[3], FORMAT="('    ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(expandUint16(ct.ecmd[4]), ct.QualityEcmd[4], FORMAT="('    ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(expandUint16(ct.ecmd[5]), ct.QualityEcmd[5], FORMAT="('    ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 53
      printf, lunit, line
   line = template[14]
      strput, line, "         ", 8
      segmentValue = string(expandUint16(ct.htcmd[0]), ct.QualityHtcmd[0], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(expandUint16(ct.htcmd[1]), ct.QualityHtcmd[1], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(expandUint16(ct.htcmd[2]), ct.QualityHtcmd[2], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(expandUint16(ct.htcmd[3]), ct.QualityHtcmd[3], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(expandUint16(ct.htcmd[4]), ct.QualityHtcmd[4], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(expandUint16(ct.htcmd[5]), ct.QualityHtcmd[5], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(expandUint16(ct.htcmd[6]), ct.QualityHtcmd[6], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(expandUint16(ct.htcmd[7]), ct.QualityHtcmd[7], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[15]
      strput, line, "         ", 8
      segmentValue = string(expandUint16(ct.iilims[0]), ct.QualityIilims[0], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(expandUint16(ct.iilims[1]), ct.QualityIilims[1], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(expandUint16(ct.iilims[2]), ct.QualityIilims[2], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(expandUint16(ct.iilims[3]), ct.QualityIilims[3], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      printf, lunit, line
   line = template[16]
      strput, line, "         ", 8
      segmentValue = string(ct.lsarr[0], ct.QualityLsarr[0], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.lsarr[1], ct.QualityLsarr[1], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.lsarr[2], ct.QualityLsarr[2], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.lsarr[3], ct.QualityLsarr[3], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.lsarr[4], ct.QualityLsarr[4], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.lsarr[5], ct.QualityLsarr[5], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.lsarr[6], ct.QualityLsarr[6], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.lsarr[7], ct.QualityLsarr[7], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[17]
      strput, line, "         ", 8
      segmentValue = string(ct.lsarr[8], ct.QualityLsarr[8], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.lsarr[9], ct.QualityLsarr[9], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.lsarr[10], ct.QualityLsarr[10], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.lsarr[11], ct.QualityLsarr[11], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.lsarr[12], ct.QualityLsarr[12], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.lsarr[13], ct.QualityLsarr[13], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.lsarr[14], ct.QualityLsarr[14], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.lsarr[15], ct.QualityLsarr[15], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[18]
      strput, line, "         ", 8
      segmentValue = string(ct.lsarr[16], ct.QualityLsarr[16], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.lsarr[17], ct.QualityLsarr[17], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.lsarr[18], ct.QualityLsarr[18], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.lsarr[19], ct.QualityLsarr[19], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      printf, lunit, line
   line = template[19]
      strput, line, "         ", 8
      segmentValue = string(ct.loarr[0], ct.QualityLoarr[0], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.loarr[1], ct.QualityLoarr[1], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.loarr[2], ct.QualityLoarr[2], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.loarr[3], ct.QualityLoarr[3], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.loarr[4], ct.QualityLoarr[4], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.loarr[5], ct.QualityLoarr[5], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.loarr[6], ct.QualityLoarr[6], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.loarr[7], ct.QualityLoarr[7], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[20]
      strput, line, "         ", 8
      segmentValue = string(ct.loarr[8], ct.QualityLoarr[8], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.loarr[9], ct.QualityLoarr[9], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.loarr[10], ct.QualityLoarr[10], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.loarr[11], ct.QualityLoarr[11], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.loarr[12], ct.QualityLoarr[12], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.loarr[13], ct.QualityLoarr[13], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.loarr[14], ct.QualityLoarr[14], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.loarr[15], ct.QualityLoarr[15], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[21]
      strput, line, "         ", 8
      segmentValue = string(ct.loarr[16], ct.QualityLoarr[16], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.loarr[17], ct.QualityLoarr[17], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.loarr[18], ct.QualityLoarr[18], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.loarr[19], ct.QualityLoarr[19], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      printf, lunit, line
   line = template[22]
      strput, line, "         ", 8
      segmentValue = string(expandUint16(ct.b_xoff[0]), ct.QualityB_xoff[0], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(expandUint16(ct.b_xoff[1]), ct.QualityB_xoff[1], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      printf, lunit, line
   line = template[23]
      strput, line, "         ", 8
      segmentValue = string(expandUint16(ct.rngmsk[0]), ct.QualityRngmsk[0], FORMAT="('  ', z4.4, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(expandUint16(ct.rngmsk[1]), ct.QualityRngmsk[1], FORMAT="('  ', z4.4, ' ', z2.2)")
      strput, line, segmentValue, 17
      printf, lunit, line
   line = template[24]
      strput, line, "         ", 8
      segmentValue = string(expandUint16(ct.bparams[0]), ct.QualityBparams[0], FORMAT="('    ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(expandUint16(ct.bparams[1]), ct.QualityBparams[1], FORMAT="('    ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(expandUint16(ct.bparams[2]), ct.QualityBparams[2], FORMAT="('    ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(expandUint16(ct.bparams[3]), ct.QualityBparams[3], FORMAT="('    ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(expandUint16(ct.bparams[4]), ct.QualityBparams[4], FORMAT="('    ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(expandUint16(ct.bparams[5]), ct.QualityBparams[5], FORMAT="('    ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(expandUint16(ct.bparams[6]), ct.QualityBparams[6], FORMAT="('    ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(expandUint16(ct.bparams[7]), ct.QualityBparams[7], FORMAT="('    ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[25]
      strput, line, "         ", 8
      segmentValue = string(expandUint16(ct.bparams[8]), ct.QualityBparams[8], FORMAT="('    ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(expandUint16(ct.bparams[9]), ct.QualityBparams[9], FORMAT="('    ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(expandUint16(ct.bparams[10]), ct.QualityBparams[10], FORMAT="('    ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(expandUint16(ct.bparams[11]), ct.QualityBparams[11], FORMAT="('    ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(expandUint16(ct.bparams[12]), ct.QualityBparams[12], FORMAT="('    ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(expandUint16(ct.bparams[13]), ct.QualityBparams[13], FORMAT="('    ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(expandUint16(ct.bparams[14]), ct.QualityBparams[14], FORMAT="('    ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(expandUint16(ct.bparams[15]), ct.QualityBparams[15], FORMAT="('    ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[26]
      strput, line, "         ", 8
      segmentValue = string(expandUint16(ct.bparams[16]), ct.QualityBparams[16], FORMAT="('    ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(expandUint16(ct.bparams[17]), ct.QualityBparams[17], FORMAT="('    ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(expandUint16(ct.bparams[18]), ct.QualityBparams[18], FORMAT="('    ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(expandUint16(ct.bparams[19]), ct.QualityBparams[19], FORMAT="('    ', z2.2, ' ', z2.2)")
      strput, line, segmentValue, 35
      printf, lunit, line
   line = template[27]
      strput, line, "         ", 8
      segmentValue = string(expandUint16(ct.b_cenbox[0]), ct.QualityB_cenbox[0], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(expandUint16(ct.b_cenbox[1]), ct.QualityB_cenbox[1], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(expandUint16(ct.b_cenbox[2]), ct.QualityB_cenbox[2], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(expandUint16(ct.b_cenbox[3]), ct.QualityB_cenbox[3], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(expandUint16(ct.b_cenbox[4]), ct.QualityB_cenbox[4], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(expandUint16(ct.b_cenbox[5]), ct.QualityB_cenbox[5], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(expandUint16(ct.b_cenbox[6]), ct.QualityB_cenbox[6], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(expandUint16(ct.b_cenbox[7]), ct.QualityB_cenbox[7], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[28]
      strput, line, "         ", 8
      segmentValue = string(expandUint16(ct.b_cenbox[8]), ct.QualityB_cenbox[8], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(expandUint16(ct.b_cenbox[9]), ct.QualityB_cenbox[9], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(expandUint16(ct.b_cenbox[10]), ct.QualityB_cenbox[10], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(expandUint16(ct.b_cenbox[11]), ct.QualityB_cenbox[11], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(expandUint16(ct.b_cenbox[12]), ct.QualityB_cenbox[12], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(expandUint16(ct.b_cenbox[13]), ct.QualityB_cenbox[13], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(expandUint16(ct.b_cenbox[14]), ct.QualityB_cenbox[14], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(expandUint16(ct.b_cenbox[15]), ct.QualityB_cenbox[15], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[29]
      strput, line, "         ", 8
      segmentValue = string(expandUint16(ct.b_cenbox[16]), ct.QualityB_cenbox[16], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(expandUint16(ct.b_cenbox[17]), ct.QualityB_cenbox[17], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(expandUint16(ct.b_cenbox[18]), ct.QualityB_cenbox[18], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(expandUint16(ct.b_cenbox[19]), ct.QualityB_cenbox[19], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(expandUint16(ct.b_cenbox[20]), ct.QualityB_cenbox[20], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(expandUint16(ct.b_cenbox[21]), ct.QualityB_cenbox[21], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(expandUint16(ct.b_cenbox[22]), ct.QualityB_cenbox[22], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(expandUint16(ct.b_cenbox[23]), ct.QualityB_cenbox[23], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[30]
      strput, line, "         ", 8
      segmentValue = string(expandUint16(ct.b_cenbox[24]), ct.QualityB_cenbox[24], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(expandUint16(ct.b_cenbox[25]), ct.QualityB_cenbox[25], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(expandUint16(ct.b_cenbox[26]), ct.QualityB_cenbox[26], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(expandUint16(ct.b_cenbox[27]), ct.QualityB_cenbox[27], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(expandUint16(ct.b_cenbox[28]), ct.QualityB_cenbox[28], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(expandUint16(ct.b_cenbox[29]), ct.QualityB_cenbox[29], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(expandUint16(ct.b_cenbox[30]), ct.QualityB_cenbox[30], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(expandUint16(ct.b_cenbox[31]), ct.QualityB_cenbox[31], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[31]
      strput, line, "         ", 8
      segmentValue = string(expandUint16(ct.b_cenbox[32]), ct.QualityB_cenbox[32], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(expandUint16(ct.b_cenbox[33]), ct.QualityB_cenbox[33], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(expandUint16(ct.b_cenbox[34]), ct.QualityB_cenbox[34], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(expandUint16(ct.b_cenbox[35]), ct.QualityB_cenbox[35], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(expandUint16(ct.b_cenbox[36]), ct.QualityB_cenbox[36], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(expandUint16(ct.b_cenbox[37]), ct.QualityB_cenbox[37], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(expandUint16(ct.b_cenbox[38]), ct.QualityB_cenbox[38], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(expandUint16(ct.b_cenbox[39]), ct.QualityB_cenbox[39], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[32]
      strput, line, "         ", 8
      segmentValue = string(expandUint16(ct.b_cenbox[40]), ct.QualityB_cenbox[40], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(expandUint16(ct.b_cenbox[41]), ct.QualityB_cenbox[41], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(expandUint16(ct.b_cenbox[42]), ct.QualityB_cenbox[42], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(expandUint16(ct.b_cenbox[43]), ct.QualityB_cenbox[43], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(expandUint16(ct.b_cenbox[44]), ct.QualityB_cenbox[44], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(expandUint16(ct.b_cenbox[45]), ct.QualityB_cenbox[45], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(expandUint16(ct.b_cenbox[46]), ct.QualityB_cenbox[46], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(expandUint16(ct.b_cenbox[47]), ct.QualityB_cenbox[47], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[33]
      strput, line, "         ", 8
      segmentValue = string(expandUint16(ct.b_cenbox[48]), ct.QualityB_cenbox[48], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(expandUint16(ct.b_cenbox[49]), ct.QualityB_cenbox[49], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(expandUint16(ct.b_cenbox[50]), ct.QualityB_cenbox[50], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(expandUint16(ct.b_cenbox[51]), ct.QualityB_cenbox[51], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(expandUint16(ct.b_cenbox[52]), ct.QualityB_cenbox[52], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(expandUint16(ct.b_cenbox[53]), ct.QualityB_cenbox[53], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(expandUint16(ct.b_cenbox[54]), ct.QualityB_cenbox[54], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(expandUint16(ct.b_cenbox[55]), ct.QualityB_cenbox[55], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[34]
      strput, line, "         ", 8
      segmentValue = string(expandUint16(ct.b_cenbox[56]), ct.QualityB_cenbox[56], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(expandUint16(ct.b_cenbox[57]), ct.QualityB_cenbox[57], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(expandUint16(ct.b_cenbox[58]), ct.QualityB_cenbox[58], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(expandUint16(ct.b_cenbox[59]), ct.QualityB_cenbox[59], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(expandUint16(ct.b_cenbox[60]), ct.QualityB_cenbox[60], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(expandUint16(ct.b_cenbox[61]), ct.QualityB_cenbox[61], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(expandUint16(ct.b_cenbox[62]), ct.QualityB_cenbox[62], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(expandUint16(ct.b_cenbox[63]), ct.QualityB_cenbox[63], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[35]
      strput, line, "         ", 8
      segmentValue = string(expandUint16(ct.srgbits[0]), ct.QualitySrgbits[0], FORMAT="('  ', z4.4, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(expandUint16(ct.srgbits[1]), ct.QualitySrgbits[1], FORMAT="('  ', z4.4, ' ', z2.2)")
      strput, line, segmentValue, 17
      printf, lunit, line
   line = template[36]
      strput, line, "         ", 8
      segmentValue = string(ct.dacvals[0], ct.QualityDacvals[0], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.dacvals[1], ct.QualityDacvals[1], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.dacvals[2], ct.QualityDacvals[2], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.dacvals[3], ct.QualityDacvals[3], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.dacvals[4], ct.QualityDacvals[4], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.dacvals[5], ct.QualityDacvals[5], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.dacvals[6], ct.QualityDacvals[6], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.dacvals[7], ct.QualityDacvals[7], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[37]
      strput, line, "         ", 8
      segmentValue = string(ct.dacvals[8], ct.QualityDacvals[8], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.dacvals[9], ct.QualityDacvals[9], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.dacvals[10], ct.QualityDacvals[10], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.dacvals[11], ct.QualityDacvals[11], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.dacvals[12], ct.QualityDacvals[12], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.dacvals[13], ct.QualityDacvals[13], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.dacvals[14], ct.QualityDacvals[14], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.dacvals[15], ct.QualityDacvals[15], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[38]
      strput, line, "         ", 8
      segmentValue = string(ct.dacvals[16], ct.QualityDacvals[16], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.dacvals[17], ct.QualityDacvals[17], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.dacvals[18], ct.QualityDacvals[18], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.dacvals[19], ct.QualityDacvals[19], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.dacvals[20], ct.QualityDacvals[20], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.dacvals[21], ct.QualityDacvals[21], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.dacvals[22], ct.QualityDacvals[22], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.dacvals[23], ct.QualityDacvals[23], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[39]
      strput, line, "         ", 8
      segmentValue = string(ct.dacvals[24], ct.QualityDacvals[24], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.dacvals[25], ct.QualityDacvals[25], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.dacvals[26], ct.QualityDacvals[26], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.dacvals[27], ct.QualityDacvals[27], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.dacvals[28], ct.QualityDacvals[28], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.dacvals[29], ct.QualityDacvals[29], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.dacvals[30], ct.QualityDacvals[30], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.dacvals[31], ct.QualityDacvals[31], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[40]
      strput, line, "         ", 8
      segmentValue = string(ct.dacvals[32], ct.QualityDacvals[32], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.dacvals[33], ct.QualityDacvals[33], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.dacvals[34], ct.QualityDacvals[34], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.dacvals[35], ct.QualityDacvals[35], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.dacvals[36], ct.QualityDacvals[36], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.dacvals[37], ct.QualityDacvals[37], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.dacvals[38], ct.QualityDacvals[38], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.dacvals[39], ct.QualityDacvals[39], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[41]
      strput, line, "         ", 8
      segmentValue = string(ct.dacvals[40], ct.QualityDacvals[40], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.dacvals[41], ct.QualityDacvals[41], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.dacvals[42], ct.QualityDacvals[42], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.dacvals[43], ct.QualityDacvals[43], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.dacvals[44], ct.QualityDacvals[44], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.dacvals[45], ct.QualityDacvals[45], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.dacvals[46], ct.QualityDacvals[46], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.dacvals[47], ct.QualityDacvals[47], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[42]
      strput, line, "         ", 8
      segmentValue = string(ct.dacvals[48], ct.QualityDacvals[48], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.dacvals[49], ct.QualityDacvals[49], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.dacvals[50], ct.QualityDacvals[50], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.dacvals[51], ct.QualityDacvals[51], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      printf, lunit, line
   line = template[43]
      strput, line, "         ", 8
      segmentValue = string(ct.dacsize[0], ct.QualityDacsize[0], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.dacsize[1], ct.QualityDacsize[1], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.dacsize[2], ct.QualityDacsize[2], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.dacsize[3], ct.QualityDacsize[3], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.dacsize[4], ct.QualityDacsize[4], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.dacsize[5], ct.QualityDacsize[5], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.dacsize[6], ct.QualityDacsize[6], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.dacsize[7], ct.QualityDacsize[7], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[44]
      strput, line, "         ", 8
      segmentValue = string(ct.dacsize[8], ct.QualityDacsize[8], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.dacsize[9], ct.QualityDacsize[9], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.dacsize[10], ct.QualityDacsize[10], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.dacsize[11], ct.QualityDacsize[11], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.dacsize[12], ct.QualityDacsize[12], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.dacsize[13], ct.QualityDacsize[13], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.dacsize[14], ct.QualityDacsize[14], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.dacsize[15], ct.QualityDacsize[15], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[45]
      strput, line, "         ", 8
      segmentValue = string(ct.dacsize[16], ct.QualityDacsize[16], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.dacsize[17], ct.QualityDacsize[17], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.dacsize[18], ct.QualityDacsize[18], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.dacsize[19], ct.QualityDacsize[19], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.dacsize[20], ct.QualityDacsize[20], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.dacsize[21], ct.QualityDacsize[21], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.dacsize[22], ct.QualityDacsize[22], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.dacsize[23], ct.QualityDacsize[23], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[46]
      strput, line, "         ", 8
      segmentValue = string(ct.dacsize[24], ct.QualityDacsize[24], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.dacsize[25], ct.QualityDacsize[25], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.dacsize[26], ct.QualityDacsize[26], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.dacsize[27], ct.QualityDacsize[27], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.dacsize[28], ct.QualityDacsize[28], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.dacsize[29], ct.QualityDacsize[29], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.dacsize[30], ct.QualityDacsize[30], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.dacsize[31], ct.QualityDacsize[31], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[47]
      strput, line, "         ", 8
      segmentValue = string(ct.dacsize[32], ct.QualityDacsize[32], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.dacsize[33], ct.QualityDacsize[33], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.dacsize[34], ct.QualityDacsize[34], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.dacsize[35], ct.QualityDacsize[35], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.dacsize[36], ct.QualityDacsize[36], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.dacsize[37], ct.QualityDacsize[37], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.dacsize[38], ct.QualityDacsize[38], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.dacsize[39], ct.QualityDacsize[39], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[48]
      strput, line, "         ", 8
      segmentValue = string(ct.dacsize[40], ct.QualityDacsize[40], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.dacsize[41], ct.QualityDacsize[41], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.dacsize[42], ct.QualityDacsize[42], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.dacsize[43], ct.QualityDacsize[43], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.dacsize[44], ct.QualityDacsize[44], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.dacsize[45], ct.QualityDacsize[45], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.dacsize[46], ct.QualityDacsize[46], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.dacsize[47], ct.QualityDacsize[47], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[49]
      strput, line, "         ", 8
      segmentValue = string(ct.dacsize[48], ct.QualityDacsize[48], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.dacsize[49], ct.QualityDacsize[49], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.dacsize[50], ct.QualityDacsize[50], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.dacsize[51], ct.QualityDacsize[51], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      printf, lunit, line
   line = template[50]
      strput, line, "         ", 8
      segmentValue = string(ct.hdisc2[0], ct.QualityHdisc2[0], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.hdisc2[1], ct.QualityHdisc2[1], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.hdisc2[2], ct.QualityHdisc2[2], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.hdisc2[3], ct.QualityHdisc2[3], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.hdisc2[4], ct.QualityHdisc2[4], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.hdisc2[5], ct.QualityHdisc2[5], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.hdisc2[6], ct.QualityHdisc2[6], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.hdisc2[7], ct.QualityHdisc2[7], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[51]
      strput, line, "         ", 8
      segmentValue = string(ct.hdisc2[8], ct.QualityHdisc2[8], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.hdisc2[9], ct.QualityHdisc2[9], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.hdisc2[10], ct.QualityHdisc2[10], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.hdisc2[11], ct.QualityHdisc2[11], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      printf, lunit, line
   line = template[52]
      strput, line, "         ", 8
      segmentValue = string(ct.hdisc1[0], ct.QualityHdisc1[0], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.hdisc1[1], ct.QualityHdisc1[1], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.hdisc1[2], ct.QualityHdisc1[2], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.hdisc1[3], ct.QualityHdisc1[3], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.hdisc1[4], ct.QualityHdisc1[4], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.hdisc1[5], ct.QualityHdisc1[5], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.hdisc1[6], ct.QualityHdisc1[6], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.hdisc1[7], ct.QualityHdisc1[7], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[53]
      strput, line, "         ", 8
      segmentValue = string(ct.hdisc1[8], ct.QualityHdisc1[8], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.hdisc1[9], ct.QualityHdisc1[9], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.hdisc1[10], ct.QualityHdisc1[10], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.hdisc1[11], ct.QualityHdisc1[11], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      printf, lunit, line
   line = template[54]
      strput, line, "         ", 8
      segmentValue = string(ct.hdisc0[0], ct.QualityHdisc0[0], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.hdisc0[1], ct.QualityHdisc0[1], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.hdisc0[2], ct.QualityHdisc0[2], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.hdisc0[3], ct.QualityHdisc0[3], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.hdisc0[4], ct.QualityHdisc0[4], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.hdisc0[5], ct.QualityHdisc0[5], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.hdisc0[6], ct.QualityHdisc0[6], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.hdisc0[7], ct.QualityHdisc0[7], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[55]
      strput, line, "         ", 8
      segmentValue = string(ct.hdisc0[8], ct.QualityHdisc0[8], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.hdisc0[9], ct.QualityHdisc0[9], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.hdisc0[10], ct.QualityHdisc0[10], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.hdisc0[11], ct.QualityHdisc0[11], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      printf, lunit, line
   line = template[56]
      strput, line, "         ", 8
      segmentValue = string(ct.mdisc2[0], ct.QualityMdisc2[0], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.mdisc2[1], ct.QualityMdisc2[1], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.mdisc2[2], ct.QualityMdisc2[2], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.mdisc2[3], ct.QualityMdisc2[3], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.mdisc2[4], ct.QualityMdisc2[4], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.mdisc2[5], ct.QualityMdisc2[5], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.mdisc2[6], ct.QualityMdisc2[6], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.mdisc2[7], ct.QualityMdisc2[7], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[57]
      strput, line, "         ", 8
      segmentValue = string(ct.mdisc2[8], ct.QualityMdisc2[8], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.mdisc2[9], ct.QualityMdisc2[9], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.mdisc2[10], ct.QualityMdisc2[10], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.mdisc2[11], ct.QualityMdisc2[11], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      printf, lunit, line
   line = template[58]
      strput, line, "         ", 8
      segmentValue = string(ct.mdisc1[0], ct.QualityMdisc1[0], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.mdisc1[1], ct.QualityMdisc1[1], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.mdisc1[2], ct.QualityMdisc1[2], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.mdisc1[3], ct.QualityMdisc1[3], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.mdisc1[4], ct.QualityMdisc1[4], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.mdisc1[5], ct.QualityMdisc1[5], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.mdisc1[6], ct.QualityMdisc1[6], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.mdisc1[7], ct.QualityMdisc1[7], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[59]
      strput, line, "         ", 8
      segmentValue = string(ct.mdisc1[8], ct.QualityMdisc1[8], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.mdisc1[9], ct.QualityMdisc1[9], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.mdisc1[10], ct.QualityMdisc1[10], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.mdisc1[11], ct.QualityMdisc1[11], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      printf, lunit, line
   line = template[60]
      strput, line, "         ", 8
      segmentValue = string(ct.mdisc0[0], ct.QualityMdisc0[0], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.mdisc0[1], ct.QualityMdisc0[1], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.mdisc0[2], ct.QualityMdisc0[2], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.mdisc0[3], ct.QualityMdisc0[3], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.mdisc0[4], ct.QualityMdisc0[4], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.mdisc0[5], ct.QualityMdisc0[5], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.mdisc0[6], ct.QualityMdisc0[6], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.mdisc0[7], ct.QualityMdisc0[7], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[61]
      strput, line, "         ", 8
      segmentValue = string(ct.mdisc0[8], ct.QualityMdisc0[8], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.mdisc0[9], ct.QualityMdisc0[9], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.mdisc0[10], ct.QualityMdisc0[10], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.mdisc0[11], ct.QualityMdisc0[11], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      printf, lunit, line
   line = template[62]
      strput, line, "         ", 8
      segmentValue = string(ct.adcen[0], ct.QualityAdcen[0], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.adcen[1], ct.QualityAdcen[1], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.adcen[2], ct.QualityAdcen[2], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.adcen[3], ct.QualityAdcen[3], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.adcen[4], ct.QualityAdcen[4], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.adcen[5], ct.QualityAdcen[5], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.adcen[6], ct.QualityAdcen[6], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.adcen[7], ct.QualityAdcen[7], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[63]
      strput, line, "         ", 8
      segmentValue = string(ct.adcen[8], ct.QualityAdcen[8], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.adcen[9], ct.QualityAdcen[9], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.adcen[10], ct.QualityAdcen[10], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.adcen[11], ct.QualityAdcen[11], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      printf, lunit, line
   line = template[64]
      strput, line, "         ", 8
      segmentValue = string(ct.gdiscen[0], ct.QualityGdiscen[0], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.gdiscen[1], ct.QualityGdiscen[1], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.gdiscen[2], ct.QualityGdiscen[2], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.gdiscen[3], ct.QualityGdiscen[3], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.gdiscen[4], ct.QualityGdiscen[4], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.gdiscen[5], ct.QualityGdiscen[5], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.gdiscen[6], ct.QualityGdiscen[6], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.gdiscen[7], ct.QualityGdiscen[7], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[65]
      strput, line, "         ", 8
      segmentValue = string(ct.gdiscen[8], ct.QualityGdiscen[8], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.gdiscen[9], ct.QualityGdiscen[9], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.gdiscen[10], ct.QualityGdiscen[10], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.gdiscen[11], ct.QualityGdiscen[11], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      printf, lunit, line
   line = template[66]
      strput, line, "         ", 8
      segmentValue = string(ct.mdiscen[0], ct.QualityMdiscen[0], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.mdiscen[1], ct.QualityMdiscen[1], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.mdiscen[2], ct.QualityMdiscen[2], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.mdiscen[3], ct.QualityMdiscen[3], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.mdiscen[4], ct.QualityMdiscen[4], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.mdiscen[5], ct.QualityMdiscen[5], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.mdiscen[6], ct.QualityMdiscen[6], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.mdiscen[7], ct.QualityMdiscen[7], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[67]
      strput, line, "         ", 8
      segmentValue = string(ct.mdiscen[8], ct.QualityMdiscen[8], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.mdiscen[9], ct.QualityMdiscen[9], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.mdiscen[10], ct.QualityMdiscen[10], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.mdiscen[11], ct.QualityMdiscen[11], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      printf, lunit, line
   line = template[68]
      strput, line, "         ", 8
      segmentValue = string(ct.hdiscen[0], ct.QualityHdiscen[0], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.hdiscen[1], ct.QualityHdiscen[1], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.hdiscen[2], ct.QualityHdiscen[2], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.hdiscen[3], ct.QualityHdiscen[3], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.hdiscen[4], ct.QualityHdiscen[4], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.hdiscen[5], ct.QualityHdiscen[5], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.hdiscen[6], ct.QualityHdiscen[6], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.hdiscen[7], ct.QualityHdiscen[7], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[69]
      strput, line, "         ", 8
      segmentValue = string(ct.hdiscen[8], ct.QualityHdiscen[8], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.hdiscen[9], ct.QualityHdiscen[9], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.hdiscen[10], ct.QualityHdiscen[10], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.hdiscen[11], ct.QualityHdiscen[11], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      printf, lunit, line
   line = template[70]
      strput, line, "         ", 8
      segmentValue = string(expandUint16(ct.cnoc1[0]), ct.QualityCnoc1[0], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(expandUint16(ct.cnoc1[1]), ct.QualityCnoc1[1], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(expandUint16(ct.cnoc1[2]), ct.QualityCnoc1[2], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(expandUint16(ct.cnoc1[3]), ct.QualityCnoc1[3], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(expandUint16(ct.cnoc1[4]), ct.QualityCnoc1[4], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(expandUint16(ct.cnoc1[5]), ct.QualityCnoc1[5], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(expandUint16(ct.cnoc1[6]), ct.QualityCnoc1[6], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      printf, lunit, line
   line = template[71]
      strput, line, "         ", 8
      segmentValue = string(expandUint16(ct.cnoc2[0]), ct.QualityCnoc2[0], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(expandUint16(ct.cnoc2[1]), ct.QualityCnoc2[1], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(expandUint16(ct.cnoc2[2]), ct.QualityCnoc2[2], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(expandUint16(ct.cnoc2[3]), ct.QualityCnoc2[3], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(expandUint16(ct.cnoc2[4]), ct.QualityCnoc2[4], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(expandUint16(ct.cnoc2[5]), ct.QualityCnoc2[5], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(expandUint16(ct.cnoc2[6]), ct.QualityCnoc2[6], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      printf, lunit, line
   line = template[72]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[0], ct.QualityEidmap[0], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[1], ct.QualityEidmap[1], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[2], ct.QualityEidmap[2], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[3], ct.QualityEidmap[3], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[4], ct.QualityEidmap[4], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[5], ct.QualityEidmap[5], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[6], ct.QualityEidmap[6], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[7], ct.QualityEidmap[7], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[73]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[8], ct.QualityEidmap[8], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[9], ct.QualityEidmap[9], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[10], ct.QualityEidmap[10], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[11], ct.QualityEidmap[11], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[12], ct.QualityEidmap[12], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[13], ct.QualityEidmap[13], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[14], ct.QualityEidmap[14], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[15], ct.QualityEidmap[15], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[74]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[16], ct.QualityEidmap[16], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[17], ct.QualityEidmap[17], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[18], ct.QualityEidmap[18], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[19], ct.QualityEidmap[19], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[20], ct.QualityEidmap[20], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[21], ct.QualityEidmap[21], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[22], ct.QualityEidmap[22], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[23], ct.QualityEidmap[23], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[75]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[24], ct.QualityEidmap[24], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[25], ct.QualityEidmap[25], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[26], ct.QualityEidmap[26], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[27], ct.QualityEidmap[27], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[28], ct.QualityEidmap[28], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[29], ct.QualityEidmap[29], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[30], ct.QualityEidmap[30], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[31], ct.QualityEidmap[31], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[76]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[32], ct.QualityEidmap[32], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[33], ct.QualityEidmap[33], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[34], ct.QualityEidmap[34], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[35], ct.QualityEidmap[35], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[36], ct.QualityEidmap[36], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[37], ct.QualityEidmap[37], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[38], ct.QualityEidmap[38], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[39], ct.QualityEidmap[39], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[77]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[40], ct.QualityEidmap[40], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[41], ct.QualityEidmap[41], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[42], ct.QualityEidmap[42], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[43], ct.QualityEidmap[43], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[44], ct.QualityEidmap[44], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[45], ct.QualityEidmap[45], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[46], ct.QualityEidmap[46], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[47], ct.QualityEidmap[47], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[78]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[48], ct.QualityEidmap[48], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[49], ct.QualityEidmap[49], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[50], ct.QualityEidmap[50], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[51], ct.QualityEidmap[51], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[52], ct.QualityEidmap[52], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[53], ct.QualityEidmap[53], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[54], ct.QualityEidmap[54], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[55], ct.QualityEidmap[55], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[79]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[56], ct.QualityEidmap[56], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[57], ct.QualityEidmap[57], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[58], ct.QualityEidmap[58], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[59], ct.QualityEidmap[59], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[60], ct.QualityEidmap[60], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[61], ct.QualityEidmap[61], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[62], ct.QualityEidmap[62], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[63], ct.QualityEidmap[63], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[80]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[64], ct.QualityEidmap[64], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[65], ct.QualityEidmap[65], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[66], ct.QualityEidmap[66], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[67], ct.QualityEidmap[67], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[68], ct.QualityEidmap[68], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[69], ct.QualityEidmap[69], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[70], ct.QualityEidmap[70], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[71], ct.QualityEidmap[71], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[81]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[72], ct.QualityEidmap[72], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[73], ct.QualityEidmap[73], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[74], ct.QualityEidmap[74], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[75], ct.QualityEidmap[75], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[76], ct.QualityEidmap[76], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[77], ct.QualityEidmap[77], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[78], ct.QualityEidmap[78], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[79], ct.QualityEidmap[79], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[82]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[80], ct.QualityEidmap[80], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[81], ct.QualityEidmap[81], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[82], ct.QualityEidmap[82], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[83], ct.QualityEidmap[83], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[84], ct.QualityEidmap[84], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[85], ct.QualityEidmap[85], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[86], ct.QualityEidmap[86], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[87], ct.QualityEidmap[87], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[83]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[88], ct.QualityEidmap[88], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[89], ct.QualityEidmap[89], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[90], ct.QualityEidmap[90], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[91], ct.QualityEidmap[91], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[92], ct.QualityEidmap[92], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[93], ct.QualityEidmap[93], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[94], ct.QualityEidmap[94], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[95], ct.QualityEidmap[95], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[84]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[96], ct.QualityEidmap[96], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[97], ct.QualityEidmap[97], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[98], ct.QualityEidmap[98], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[99], ct.QualityEidmap[99], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[100], ct.QualityEidmap[100], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[101], ct.QualityEidmap[101], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[102], ct.QualityEidmap[102], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[103], ct.QualityEidmap[103], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[85]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[104], ct.QualityEidmap[104], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[105], ct.QualityEidmap[105], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[106], ct.QualityEidmap[106], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[107], ct.QualityEidmap[107], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[108], ct.QualityEidmap[108], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[109], ct.QualityEidmap[109], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[110], ct.QualityEidmap[110], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[111], ct.QualityEidmap[111], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[86]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[112], ct.QualityEidmap[112], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[113], ct.QualityEidmap[113], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[114], ct.QualityEidmap[114], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[115], ct.QualityEidmap[115], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[116], ct.QualityEidmap[116], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[117], ct.QualityEidmap[117], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[118], ct.QualityEidmap[118], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[119], ct.QualityEidmap[119], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[87]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[120], ct.QualityEidmap[120], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[121], ct.QualityEidmap[121], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[122], ct.QualityEidmap[122], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[123], ct.QualityEidmap[123], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[124], ct.QualityEidmap[124], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[125], ct.QualityEidmap[125], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[126], ct.QualityEidmap[126], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[127], ct.QualityEidmap[127], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[88]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[128], ct.QualityEidmap[128], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[129], ct.QualityEidmap[129], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[130], ct.QualityEidmap[130], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[131], ct.QualityEidmap[131], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[132], ct.QualityEidmap[132], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[133], ct.QualityEidmap[133], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[134], ct.QualityEidmap[134], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[135], ct.QualityEidmap[135], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[89]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[136], ct.QualityEidmap[136], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[137], ct.QualityEidmap[137], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[138], ct.QualityEidmap[138], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[139], ct.QualityEidmap[139], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[140], ct.QualityEidmap[140], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[141], ct.QualityEidmap[141], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[142], ct.QualityEidmap[142], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[143], ct.QualityEidmap[143], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[90]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[144], ct.QualityEidmap[144], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[145], ct.QualityEidmap[145], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[146], ct.QualityEidmap[146], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[147], ct.QualityEidmap[147], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[148], ct.QualityEidmap[148], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[149], ct.QualityEidmap[149], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[150], ct.QualityEidmap[150], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[151], ct.QualityEidmap[151], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[91]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[152], ct.QualityEidmap[152], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[153], ct.QualityEidmap[153], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[154], ct.QualityEidmap[154], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[155], ct.QualityEidmap[155], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[156], ct.QualityEidmap[156], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[157], ct.QualityEidmap[157], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[158], ct.QualityEidmap[158], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[159], ct.QualityEidmap[159], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[92]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[160], ct.QualityEidmap[160], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[161], ct.QualityEidmap[161], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[162], ct.QualityEidmap[162], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[163], ct.QualityEidmap[163], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[164], ct.QualityEidmap[164], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[165], ct.QualityEidmap[165], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[166], ct.QualityEidmap[166], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[167], ct.QualityEidmap[167], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[93]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[168], ct.QualityEidmap[168], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[169], ct.QualityEidmap[169], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[170], ct.QualityEidmap[170], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[171], ct.QualityEidmap[171], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[172], ct.QualityEidmap[172], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[173], ct.QualityEidmap[173], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[174], ct.QualityEidmap[174], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[175], ct.QualityEidmap[175], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[94]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[176], ct.QualityEidmap[176], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[177], ct.QualityEidmap[177], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[178], ct.QualityEidmap[178], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[179], ct.QualityEidmap[179], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[180], ct.QualityEidmap[180], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[181], ct.QualityEidmap[181], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[182], ct.QualityEidmap[182], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[183], ct.QualityEidmap[183], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[95]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[184], ct.QualityEidmap[184], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[185], ct.QualityEidmap[185], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[186], ct.QualityEidmap[186], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[187], ct.QualityEidmap[187], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[188], ct.QualityEidmap[188], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[189], ct.QualityEidmap[189], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[190], ct.QualityEidmap[190], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[191], ct.QualityEidmap[191], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[96]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[192], ct.QualityEidmap[192], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[193], ct.QualityEidmap[193], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[194], ct.QualityEidmap[194], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[195], ct.QualityEidmap[195], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[196], ct.QualityEidmap[196], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[197], ct.QualityEidmap[197], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[198], ct.QualityEidmap[198], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[199], ct.QualityEidmap[199], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[97]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[200], ct.QualityEidmap[200], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[201], ct.QualityEidmap[201], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[202], ct.QualityEidmap[202], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[203], ct.QualityEidmap[203], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[204], ct.QualityEidmap[204], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[205], ct.QualityEidmap[205], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[206], ct.QualityEidmap[206], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[207], ct.QualityEidmap[207], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[98]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[208], ct.QualityEidmap[208], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[209], ct.QualityEidmap[209], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[210], ct.QualityEidmap[210], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[211], ct.QualityEidmap[211], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[212], ct.QualityEidmap[212], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[213], ct.QualityEidmap[213], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[214], ct.QualityEidmap[214], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[215], ct.QualityEidmap[215], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[99]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[216], ct.QualityEidmap[216], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[217], ct.QualityEidmap[217], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[218], ct.QualityEidmap[218], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[219], ct.QualityEidmap[219], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[220], ct.QualityEidmap[220], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[221], ct.QualityEidmap[221], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[222], ct.QualityEidmap[222], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[223], ct.QualityEidmap[223], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[100]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[224], ct.QualityEidmap[224], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[225], ct.QualityEidmap[225], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[226], ct.QualityEidmap[226], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[227], ct.QualityEidmap[227], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[228], ct.QualityEidmap[228], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[229], ct.QualityEidmap[229], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[230], ct.QualityEidmap[230], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[231], ct.QualityEidmap[231], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[101]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[232], ct.QualityEidmap[232], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[233], ct.QualityEidmap[233], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[234], ct.QualityEidmap[234], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[235], ct.QualityEidmap[235], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[236], ct.QualityEidmap[236], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[237], ct.QualityEidmap[237], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[238], ct.QualityEidmap[238], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[239], ct.QualityEidmap[239], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[102]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[240], ct.QualityEidmap[240], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[241], ct.QualityEidmap[241], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[242], ct.QualityEidmap[242], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[243], ct.QualityEidmap[243], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[244], ct.QualityEidmap[244], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[245], ct.QualityEidmap[245], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[246], ct.QualityEidmap[246], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[247], ct.QualityEidmap[247], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line
   line = template[103]
      strput, line, "         ", 8
      segmentValue = string(ct.eidmap[248], ct.QualityEidmap[248], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 8
      strput, line, "         ", 17
      segmentValue = string(ct.eidmap[249], ct.QualityEidmap[249], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 17
      strput, line, "         ", 26
      segmentValue = string(ct.eidmap[250], ct.QualityEidmap[250], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 26
      strput, line, "         ", 35
      segmentValue = string(ct.eidmap[251], ct.QualityEidmap[251], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 35
      strput, line, "         ", 44
      segmentValue = string(ct.eidmap[252], ct.QualityEidmap[252], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 44
      strput, line, "         ", 53
      segmentValue = string(ct.eidmap[253], ct.QualityEidmap[253], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 53
      strput, line, "         ", 62
      segmentValue = string(ct.eidmap[254], ct.QualityEidmap[254], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 62
      strput, line, "         ", 71
      segmentValue = string(ct.eidmap[255], ct.QualityEidmap[255], FORMAT="(' ', i5, ' ', z2.2)")
      strput, line, segmentValue, 71
      printf, lunit, line

end
