; $Id: fetchl1_1sishskpunits.pro,v 1.1 1998/05/04 20:32:43 rgr Exp $

; $RCSfile: fetchl1_1sishskpunits.pro,v $
; $Author: rgr $
; $Date: 1998/05/04 20:32:43 $
; $Revision: 1.1 $

pro FetchL1_1SisHskpUnits, fieldname, units

   field = strupcase(fieldname) 
   units = ''
   if (field eq 'SECOND1996') then units = 'Seconds of 1996'
   if (field eq 'MICROSECOND') then units = 'microsecond'

   if (strpos(field, 'MONITOR') eq 0) then begin
      units = 'Volts'
      if (strpos(field, 'CURRENT') ge 0) then units = 'Scaled Volts'
   endif

   if (strpos(field, 'TEMPERATURE') eq 0) then units = 'Deg, C'
   if (strpos(field, 'LEAKAGECURRENT') eq 0) then units = 'Micro-amps'
   if (strpos(field, 'QUALITY') eq 0) then                            $
                                   units = 'f,mnf,clk,s,ct,cy,L0,L1_1'
end
