; $Id: dumpl1sissubsettelemetry.pro,v 1.1 1998/05/04 20:36:22 rgr Exp $

; $RCSfile: dumpl1sissubsettelemetry.pro,v $
; $Author: rgr $
; $Date: 1998/05/04 20:36:22 $
; $Revision: 1.1 $


pro dumpL1SisSubsetTelemetry, sub, LUN=lun

   lunit = -1
   if (keyword_set(lun)) then lunit = lun

   template = strarr(9)

   template[0] = "<start time               >   <S/C Clock: xxxxxxxxxx>  <MJF: x xx>"
   template[1] = "   <dt{0}  ><dt{4}  ><dt{8}  ><dt{12} >  <dt{16} ><dt{20} ><dt{24} ><dt{28} >"
   template[2] = "   <dt{32} ><dt{36} ><dt{40} ><dt{44} >  <dt{48} ><dt{52} ><dt{56} ><dt{60} >"
   template[3] = "   <dt{64} ><dt{68} ><dt{72} ><dt{76} >  <dt{80} ><dt{84} ><dt{88} ><dt{92} >"
   template[4] = "   <dt{96} ><dt{100}><dt{104}><dt{108}>  <dt{112}><dt{116}><dt{120}><dt{124}>"
   template[5] = "   <dt{128}><dt{132}><dt{136}><dt{140}>  <dt{144}><dt{148}><dt{152}><dt{156}>"
   template[6] = "   <dt{160}><dt{164}><dt{168}><dt{172}>  <dt{176}><dt{180}><dt{184}><dt{188}>"
   template[7] = "   <dt{192}><dt{194}><dt{200}><dt{204}>  <dt{208}><dt{212}><dt{216}><dt{220}>"
   template[8] = "   <dt{224}><dt{228}><dt{232}><dt{236}>  <dt{240}><dt{244}><data248>"

   line = template[0]
      strput, line, "                           ", 0
      segmentValue = string(stringDate1996(sub.Second1996), sub.microsecond, FORMAT="(a, '.', i6.6)")
      strput, line, segmentValue, 0
      strput, line, "                       ", 30
      segmentValue = string(sub.ClockMinorFrame, FORMAT="(' S/C Clock: ', i10.10, ' ')")
      strput, line, segmentValue, 30
      strput, line, "           ", 55
      segmentValue = string(sub.MajorFrameCount, sub.MinorFrameCount, FORMAT="(' MJF: ', i1, ' ', i2.2, ' ')")
      strput, line, segmentValue, 55
      printf, lunit, line
   line = template[1]
      strput, line, "         ", 3
      segmentValue = string(sub.SisData[0], sub.SisData[0+1], sub.SisData[0+2], sub.SisData[0+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 3
      strput, line, "         ", 12
      segmentValue = string(sub.SisData[4], sub.SisData[4+1], sub.SisData[4+2], sub.SisData[4+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 12
      strput, line, "         ", 21
      segmentValue = string(sub.SisData[8], sub.SisData[8+1], sub.SisData[8+2], sub.SisData[8+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 21
      strput, line, "         ", 30
      segmentValue = string(sub.SisData[12], sub.SisData[12+1], sub.SisData[12+2], sub.SisData[12+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 30
      strput, line, "         ", 41
      segmentValue = string(sub.SisData[16], sub.SisData[16+1], sub.SisData[16+2], sub.SisData[16+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 41
      strput, line, "         ", 50
      segmentValue = string(sub.SisData[20], sub.SisData[20+1], sub.SisData[20+2], sub.SisData[20+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 50
      strput, line, "         ", 59
      segmentValue = string(sub.SisData[24], sub.SisData[24+1], sub.SisData[24+2], sub.SisData[24+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 59
      strput, line, "         ", 68
      segmentValue = string(sub.SisData[28], sub.SisData[28+1], sub.SisData[28+2], sub.SisData[28+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 68
      printf, lunit, line
   line = template[2]
      strput, line, "         ", 3
      segmentValue = string(sub.SisData[32], sub.SisData[32+1], sub.SisData[32+2], sub.SisData[32+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 3
      strput, line, "         ", 12
      segmentValue = string(sub.SisData[36], sub.SisData[36+1], sub.SisData[36+2], sub.SisData[36+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 12
      strput, line, "         ", 21
      segmentValue = string(sub.SisData[40], sub.SisData[40+1], sub.SisData[40+2], sub.SisData[40+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 21
      strput, line, "         ", 30
      segmentValue = string(sub.SisData[44], sub.SisData[44+1], sub.SisData[44+2], sub.SisData[44+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 30
      strput, line, "         ", 41
      segmentValue = string(sub.SisData[48], sub.SisData[48+1], sub.SisData[48+2], sub.SisData[48+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 41
      strput, line, "         ", 50
      segmentValue = string(sub.SisData[52], sub.SisData[52+1], sub.SisData[52+2], sub.SisData[52+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 50
      strput, line, "         ", 59
      segmentValue = string(sub.SisData[56], sub.SisData[56+1], sub.SisData[56+2], sub.SisData[56+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 59
      strput, line, "         ", 68
      segmentValue = string(sub.SisData[60], sub.SisData[60+1], sub.SisData[60+2], sub.SisData[60+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 68
      printf, lunit, line
   line = template[3]
      strput, line, "         ", 3
      segmentValue = string(sub.SisData[64], sub.SisData[64+1], sub.SisData[64+2], sub.SisData[64+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 3
      strput, line, "         ", 12
      segmentValue = string(sub.SisData[68], sub.SisData[68+1], sub.SisData[68+2], sub.SisData[68+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 12
      strput, line, "         ", 21
      segmentValue = string(sub.SisData[72], sub.SisData[72+1], sub.SisData[72+2], sub.SisData[72+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 21
      strput, line, "         ", 30
      segmentValue = string(sub.SisData[76], sub.SisData[76+1], sub.SisData[76+2], sub.SisData[76+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 30
      strput, line, "         ", 41
      segmentValue = string(sub.SisData[80], sub.SisData[80+1], sub.SisData[80+2], sub.SisData[80+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 41
      strput, line, "         ", 50
      segmentValue = string(sub.SisData[84], sub.SisData[84+1], sub.SisData[84+2], sub.SisData[84+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 50
      strput, line, "         ", 59
      segmentValue = string(sub.SisData[88], sub.SisData[88+1], sub.SisData[88+2], sub.SisData[88+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 59
      strput, line, "         ", 68
      segmentValue = string(sub.SisData[92], sub.SisData[92+1], sub.SisData[92+2], sub.SisData[92+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 68
      printf, lunit, line
   line = template[4]
      strput, line, "         ", 3
      segmentValue = string(sub.SisData[96], sub.SisData[96+1], sub.SisData[96+2], sub.SisData[96+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 3
      strput, line, "         ", 12
      segmentValue = string(sub.SisData[100], sub.SisData[100+1], sub.SisData[100+2], sub.SisData[100+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 12
      strput, line, "         ", 21
      segmentValue = string(sub.SisData[104], sub.SisData[104+1], sub.SisData[104+2], sub.SisData[104+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 21
      strput, line, "         ", 30
      segmentValue = string(sub.SisData[108], sub.SisData[108+1], sub.SisData[108+2], sub.SisData[108+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 30
      strput, line, "         ", 41
      segmentValue = string(sub.SisData[112], sub.SisData[112+1], sub.SisData[112+2], sub.SisData[112+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 41
      strput, line, "         ", 50
      segmentValue = string(sub.SisData[116], sub.SisData[116+1], sub.SisData[116+2], sub.SisData[116+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 50
      strput, line, "         ", 59
      segmentValue = string(sub.SisData[120], sub.SisData[120+1], sub.SisData[120+2], sub.SisData[120+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 59
      strput, line, "         ", 68
      segmentValue = string(sub.SisData[124], sub.SisData[124+1], sub.SisData[124+2], sub.SisData[124+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 68
      printf, lunit, line
   line = template[5]
      strput, line, "         ", 3
      segmentValue = string(sub.SisData[128], sub.SisData[128+1], sub.SisData[128+2], sub.SisData[128+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 3
      strput, line, "         ", 12
      segmentValue = string(sub.SisData[132], sub.SisData[132+1], sub.SisData[132+2], sub.SisData[132+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 12
      strput, line, "         ", 21
      segmentValue = string(sub.SisData[136], sub.SisData[136+1], sub.SisData[136+2], sub.SisData[136+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 21
      strput, line, "         ", 30
      segmentValue = string(sub.SisData[140], sub.SisData[140+1], sub.SisData[140+2], sub.SisData[140+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 30
      strput, line, "         ", 41
      segmentValue = string(sub.SisData[144], sub.SisData[144+1], sub.SisData[144+2], sub.SisData[144+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 41
      strput, line, "         ", 50
      segmentValue = string(sub.SisData[148], sub.SisData[148+1], sub.SisData[148+2], sub.SisData[148+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 50
      strput, line, "         ", 59
      segmentValue = string(sub.SisData[152], sub.SisData[152+1], sub.SisData[152+2], sub.SisData[152+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 59
      strput, line, "         ", 68
      segmentValue = string(sub.SisData[156], sub.SisData[156+1], sub.SisData[156+2], sub.SisData[156+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 68
      printf, lunit, line
   line = template[6]
      strput, line, "         ", 3
      segmentValue = string(sub.SisData[160], sub.SisData[160+1], sub.SisData[160+2], sub.SisData[160+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 3
      strput, line, "         ", 12
      segmentValue = string(sub.SisData[164], sub.SisData[164+1], sub.SisData[164+2], sub.SisData[164+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 12
      strput, line, "         ", 21
      segmentValue = string(sub.SisData[168], sub.SisData[168+1], sub.SisData[168+2], sub.SisData[168+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 21
      strput, line, "         ", 30
      segmentValue = string(sub.SisData[172], sub.SisData[172+1], sub.SisData[172+2], sub.SisData[172+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 30
      strput, line, "         ", 41
      segmentValue = string(sub.SisData[176], sub.SisData[176+1], sub.SisData[176+2], sub.SisData[176+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 41
      strput, line, "         ", 50
      segmentValue = string(sub.SisData[180], sub.SisData[180+1], sub.SisData[180+2], sub.SisData[180+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 50
      strput, line, "         ", 59
      segmentValue = string(sub.SisData[184], sub.SisData[184+1], sub.SisData[184+2], sub.SisData[184+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 59
      strput, line, "         ", 68
      segmentValue = string(sub.SisData[188], sub.SisData[188+1], sub.SisData[188+2], sub.SisData[188+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 68
      printf, lunit, line
   line = template[7]
      strput, line, "         ", 3
      segmentValue = string(sub.SisData[192], sub.SisData[192+1], sub.SisData[192+2], sub.SisData[192+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 3
      strput, line, "         ", 12
      segmentValue = string(sub.SisData[194], sub.SisData[194+1], sub.SisData[194+2], sub.SisData[194+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 12
      strput, line, "         ", 21
      segmentValue = string(sub.SisData[200], sub.SisData[200+1], sub.SisData[200+2], sub.SisData[200+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 21
      strput, line, "         ", 30
      segmentValue = string(sub.SisData[204], sub.SisData[204+1], sub.SisData[204+2], sub.SisData[204+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 30
      strput, line, "         ", 41
      segmentValue = string(sub.SisData[208], sub.SisData[208+1], sub.SisData[208+2], sub.SisData[208+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 41
      strput, line, "         ", 50
      segmentValue = string(sub.SisData[212], sub.SisData[212+1], sub.SisData[212+2], sub.SisData[212+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 50
      strput, line, "         ", 59
      segmentValue = string(sub.SisData[216], sub.SisData[216+1], sub.SisData[216+2], sub.SisData[216+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 59
      strput, line, "         ", 68
      segmentValue = string(sub.SisData[220], sub.SisData[220+1], sub.SisData[220+2], sub.SisData[220+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 68
      printf, lunit, line
   line = template[8]
      strput, line, "         ", 3
      segmentValue = string(sub.SisData[224], sub.SisData[224+1], sub.SisData[224+2], sub.SisData[224+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 3
      strput, line, "         ", 12
      segmentValue = string(sub.SisData[228], sub.SisData[228+1], sub.SisData[228+2], sub.SisData[228+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 12
      strput, line, "         ", 21
      segmentValue = string(sub.SisData[232], sub.SisData[232+1], sub.SisData[232+2], sub.SisData[232+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 21
      strput, line, "         ", 30
      segmentValue = string(sub.SisData[236], sub.SisData[236+1], sub.SisData[236+2], sub.SisData[236+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 30
      strput, line, "         ", 41
      segmentValue = string(sub.SisData[240], sub.SisData[240+1], sub.SisData[240+2], sub.SisData[240+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 41
      strput, line, "         ", 50
      segmentValue = string(sub.SisData[244], sub.SisData[244+1], sub.SisData[244+2], sub.SisData[244+3], FORMAT="(' ', z2.2, z2.2, z2.2, z2.2)")
      strput, line, segmentValue, 50
      strput, line, "         ", 59
      segmentValue = string(sub.SisData[248], FORMAT="(' ', z2.2, '      ')")
      strput, line, segmentValue, 59
      printf, lunit, line

end
