; $Id: computesismiscrates.pro,v 1.3 1998/07/27 14:28:33 rgr Exp $

; $RCSfile: computesismiscrates.pro,v $
; $Author: rgr $
; $Date: 1998/07/27 14:28:33 $
; $Revision: 1.3 $

pro computeSisMiscRates, lp, engr

   common SisSymbols

   LiveTimeUnit = G$_Sis.LiveTimeUnitMicrosecond * 1.0d-6
   RateUnit = 1.0D / G$_Sis.NumMnfsPerCycle

   engr.livetim = float(LiveTimeUnit * uncompressSisValue(lp.livetim))
   engr.helivet = float(LiveTimeUnit * uncompressSisValue(lp.helivet))
   engr.hylivet = float(LiveTimeUnit * uncompressSisValue(lp.hylivet))
   engr.ntagint = float(RateUnit * uncompressSisValue(lp.ntagint))
   engr.nvldint = float(RateUnit * uncompressSisValue(lp.nvldint))
   engr.nevproc = float(RateUnit * uncompressSisValue(lp.nevproc))
   engr.nrtproc = float(RateUnit * uncompressSisValue(lp.nrtproc))
   engr.nbadid  = float(RateUnit * uncompressSisValue(lp.nbadid))
   engr.ncebful = float(RateUnit * uncompressSisValue(lp.ncebful))
   engr.nrebful = float(RateUnit * uncompressSisValue(lp.nrebful))
   engr.nhdwrej = float(RateUnit * uncompressSisValue(lp.nhdwrej))

   engr.QualityLivetim = lp.QualityLivetim
   engr.QualityHelivet = lp.QualityHelivet
   engr.QualityHylivet = lp.QualityHylivet
   engr.QualityNtagint = lp.QualityNtagint
   engr.QualityNvldint = lp.QualityNvldint
   engr.QualityNevproc = lp.QualityNevproc
   engr.QualityNrtproc = lp.QualityNrtproc
   engr.QualityNbadid  = lp.QualityNbadid
   engr.QualityNcebful = lp.QualityNcebful
   engr.QualityNrebful = lp.QualityNrebful
   engr.QualityNhdwrej = lp.QualityNhdwrej

end
