; $Id: cvtsisadctoscaledvoltage.pro,v 1.2 1998/07/27 14:33:31 rgr Exp $

; $RCSfile: cvtsisadctoscaledvoltage.pro,v $
; $Author: rgr $
; $Date: 1998/07/27 14:33:31 $
; $Revision: 1.2 $

function cvtSisAdcToScaledVoltage, adc

   common SbCvtSisAdcToScaledVoltage, ScaledVoltage

   if (n_elements(ScaledVoltage) eq 0) then begin
      factor = -(1.0D/102.55D)
      offset = (1015.0D - 4.9D*102.55D)/102.55D
      ScaledVoltage = float(factor * double(indgen(1024)) + offset)
   endif

   return, ScaledVoltage(adc)
end
