; $Id: stringsiscoinrate.pro,v 1.1 1998/05/04 20:36:52 rgr Exp $

; $RCSfile: stringsiscoinrate.pro,v $
; $Author: rgr $
; $Date: 1998/05/04 20:36:52 $
; $Revision: 1.1 $


; This function generates the name of a SIS coinincidence rate.
;
; Arguments
;   mask = coincidence mask from the command table-(input)
;   rate = coincidence rate-(input)
;          0 = CoinRate0
;          1 = CoinRate1

function stringSisCoinRate, mask, rate

   if (rate eq 0) then                   $
     tmp = mask and '00ff'X              $
   else                                  $
     tmp = ishft(mask, -8) and '00ff'X 

   name = ""
   for i=1,8 do begin
      if (tmp and '0001'X) then    $
          name = name + string(i)
      tmp = ishft(tmp, -1)
   endfor

   if (strlen(tmp) gt 0) then                        $
      return, strcompress("T" + name, /remove_all)   $
   else                                              $
      return, ""
end
