; $Id: stringsisrate.pro,v 1.1 1998/05/04 20:36:54 rgr Exp $

; $RCSfile: stringsisrate.pro,v $
; $Author: rgr $
; $Date: 1998/05/04 20:36:54 $
; $Revision: 1.1 $


function stringSisRate, rate

   common SisSymbols

   case rate of 
      G$_Sis.rate.RejcntsM1a       : return, "RejcntsM1a"
      G$_Sis.rate.RejcntsM1ha      : return, "RejcntsM1ha"
      G$_Sis.rate.RejcntsM2a       : return, "RejcntsM2a"
      G$_Sis.rate.RejcntsM2ha      : return, "RejcntsM2ha"
      G$_Sis.rate.RejcntsT1a       : return, "RejcntsT1a"
      G$_Sis.rate.RejcntsT2a       : return, "RejcntsT2a"
      G$_Sis.rate.RejcntsT3a       : return, "RejcntsT3a"
      G$_Sis.rate.RejcntsT4a       : return, "RejcntsT4a"
      G$_Sis.rate.RejcntsT5a       : return, "RejcntsT5a"
      G$_Sis.rate.RejcntsT6a       : return, "RejcntsT6a"
      G$_Sis.rate.RejcntsT7a       : return, "RejcntsT7a"
      G$_Sis.rate.RejcntsT8a       : return, "RejcntsT8a"
      G$_Sis.rate.RejcntsM12a      : return, "RejcntsM12a"
      G$_Sis.rate.RejcntsMora      : return, "RejcntsMora"
      G$_Sis.rate.RejcntsHora      : return, "RejcntsHora"
      G$_Sis.rate.RejcntsHiza      : return, "RejcntsHiza"
      G$_Sis.rate.RejcntsMaybeHiza : return, "RejcntsMaybeHiza"
      G$_Sis.rate.RejcntsZ2a       : return, "RejcntsZ2a"
      G$_Sis.rate.RejcntsMaybeZ2a  : return, "RejcntsMaybeZ2a"
      G$_Sis.rate.RejcntsMaybeZ1a  : return, "RejcntsMaybeZ1a"
      G$_Sis.rate.RejcntsM1b       : return, "RejcntsM1b"
      G$_Sis.rate.RejcntsM1hb      : return, "RejcntsM1hb"
      G$_Sis.rate.RejcntsM2b       : return, "RejcntsM2b"
      G$_Sis.rate.RejcntsM2hb      : return, "RejcntsM2hb"
      G$_Sis.rate.RejcntsT1b       : return, "RejcntsT1b"
      G$_Sis.rate.RejcntsT2b       : return, "RejcntsT2b"
      G$_Sis.rate.RejcntsT3b       : return, "RejcntsT3b"
      G$_Sis.rate.RejcntsT4b       : return, "RejcntsT4b"
      G$_Sis.rate.RejcntsT5b       : return, "RejcntsT5b"
      G$_Sis.rate.RejcntsT6b       : return, "RejcntsT6b"
      G$_Sis.rate.RejcntsT7b       : return, "RejcntsT7b"
      G$_Sis.rate.RejcntsT8b       : return, "RejcntsT8b"
      G$_Sis.rate.RejcntsM12b      : return, "RejcntsM12b"
      G$_Sis.rate.RejcntsMorb      : return, "RejcntsMorb"
      G$_Sis.rate.RejcntsHorb      : return, "RejcntsHorb"
      G$_Sis.rate.RejcntsHizb      : return, "RejcntsHizb"
      G$_Sis.rate.RejcntsMaybeHizb : return, "RejcntsMaybeHizb"
      G$_Sis.rate.RejcntsZ2b       : return, "RejcntsZ2b"
      G$_Sis.rate.RejcntsMaybeZ2b  : return, "RejcntsMaybeZ2b"
      G$_Sis.rate.RejcntsMaybeZ1b  : return, "RejcntsMaybeZ1b"
      G$_Sis.rate.RejcntsRejFast   : return, "RejcntsRejfast"
      G$_Sis.rate.RejcntsStimCoin  : return, "RejcntsStimCoin"
      G$_Sis.rate.RejcntsHazard    : return, "RejcntsHazard"
      G$_Sis.rate.RejcntsAdc2a     : return, "RejcntsAdc2a"
      G$_Sis.rate.RejcntsAdc3a     : return, "RejcntsAdc3a"
      G$_Sis.rate.RejcntsAdc2b     : return, "RejcntsAdc2b"
      G$_Sis.rate.RejcntsAdc3b     : return, "RejcntsAdc3b"
      G$_Sis.rate.RejcntsCoinRate0 : return, "RejcntsCoinRate0"
      G$_Sis.rate.RejcntsCoinRate1 : return, "RejcntsCoinRate1"
      G$_Sis.rate.VldcntsM1a       : return, "VldcntsM1a"
      G$_Sis.rate.VldcntsM1ha      : return, "VldcntsM1ha"
      G$_Sis.rate.VldcntsM2a       : return, "VldcntsM2a"
      G$_Sis.rate.VldcntsM2ha      : return, "VldcntsM2ha"
      G$_Sis.rate.VldcntsT1a       : return, "VldcntsT1a"
      G$_Sis.rate.VldcntsT2a       : return, "VldcntsT2a"
      G$_Sis.rate.VldcntsT3a       : return, "VldcntsT3a"
      G$_Sis.rate.VldcntsT4a       : return, "VldcntsT4a"
      G$_Sis.rate.VldcntsT5a       : return, "VldcntsT5a"
      G$_Sis.rate.VldcntsT6a       : return, "VldcntsT6a"
      G$_Sis.rate.VldcntsT7a       : return, "VldcntsT7a"
      G$_Sis.rate.VldcntsT8a       : return, "VldcntsT8a"
      G$_Sis.rate.VldcntsM12a      : return, "VldcntsM12a"
      G$_Sis.rate.VldcntsMora      : return, "VldcntsMora"
      G$_Sis.rate.VldcntsHora      : return, "VldcntsHora"
      G$_Sis.rate.VldcntsHiza      : return, "VldcntsHiza"
      G$_Sis.rate.VldcntsMaybeHiza : return, "VldcntsMaybeHiza"
      G$_Sis.rate.VldcntsZ2a       : return, "VldcntsZ2a"
      G$_Sis.rate.VldcntsMaybeZ2a  : return, "VldcntsMaybeZ2a"
      G$_Sis.rate.VldcntsMaybeZ1a  : return, "VldcntsMaybeZ1a"
      G$_Sis.rate.VldcntsM1b       : return, "VldcntsM1b"
      G$_Sis.rate.VldcntsM1hb      : return, "VldcntsM1hb"
      G$_Sis.rate.VldcntsM2b       : return, "VldcntsM2b"
      G$_Sis.rate.VldcntsM2Hb      : return, "VldcntsM2hb"
      G$_Sis.rate.VldcntsT1b       : return, "VldcntsT1b"
      G$_Sis.rate.VldcntsT2b       : return, "VldcntsT2b"
      G$_Sis.rate.VldcntsT3b       : return, "VldcntsT3b"
      G$_Sis.rate.VldcntsT4b       : return, "VldcntsT4b"
      G$_Sis.rate.VldcntsT5b       : return, "VldcntsT5b"
      G$_Sis.rate.VldcntsT6b       : return, "VldcntsT6b"
      G$_Sis.rate.VldcntsT7b       : return, "VldcntsT7b"
      G$_Sis.rate.VldcntsT8b       : return, "VldcntsT8b"
      G$_Sis.rate.VldcntsM12b      : return, "VldcntsM12b"
      G$_Sis.rate.VldcntsMorb      : return, "VldcntsMorb"
      G$_Sis.rate.VldcntsHorb      : return, "VldcntsHorb"
      G$_Sis.rate.VldcntsHizb      : return, "VldcntsHizb"
      G$_Sis.rate.VldcntsMaybeHizb : return, "VldcntsMaybeHizb"
      G$_Sis.rate.VldcntsZ2b       : return, "VldcntsZ2b"
      G$_Sis.rate.VldcntsMaybeZ2b  : return, "VldcntsMaybeZ2b"
      G$_Sis.rate.VldcntsMaybeZ1b  : return, "VldcntsMaybeZ1b"
      G$_Sis.rate.VldcntsRejFast   : return, "VldcntsRejFast"
      G$_Sis.rate.VldcntsStimCoin  : return, "VldcntsStimCoin"
      G$_Sis.rate.VldcntsHazard    : return, "VldcntsHazard"
      G$_Sis.rate.VldcntsAdc2a     : return, "VldcntsAdc2a"
      G$_Sis.rate.VldcntsAdc3a     : return, "VldcntsAdc3a"
      G$_Sis.rate.VldcntsAdc2b     : return, "VldcntsAdc2b"
      G$_Sis.rate.VldcntsAdc3b     : return, "VldcntsAdc3b"
      G$_Sis.rate.VldcntsCoinRate0 : return, "VldcntsCoinRate0"
      G$_Sis.rate.VldcntsCoinRate1 : return, "VldcntsCoinRate1"
      G$_Sis.rate.livetim          : return, "livetim"
      G$_Sis.rate.helivet          : return, "helivet"
      G$_Sis.rate.hylivet          : return, "hylivet"
      G$_Sis.rate.ntagint          : return, "ntagint"
      G$_Sis.rate.nvldint          : return, "nvldint"
      G$_Sis.rate.nevproc          : return, "nevproc"
      G$_Sis.rate.nrtproc          : return, "nrtproc"
      G$_Sis.rate.nbadid           : return, "nbadid"
      G$_Sis.rate.ncebful          : return, "ncebful"
      G$_Sis.rate.nrebful          : return, "nrebful"
      G$_Sis.rate.nhdwrej          : return, "nhdwrej"
      
      else: Begin
               if ((G$_Sis.rate.EventBuffer le rate) and              $
                   (rate lt (G$_Sis.rate.EventBuffer                  $
                                  + G$_SIS.NumEvtBuffers))) then begin
                  buffer = rate - G$_Sis.rate.EventBuffer
                  return, strcompress("buffer[" +                     $
                             string(buffer + G$_Sis.BufferIdOffset) + $
                              "]", /remove_all)
               endif
               if ((G$_Sis.rate.clasacc le rate) and                  $
                   (rate lt (G$_Sis.rate.clasacc                      $
                                  + G$_Sis.NumEvtClasses))) then begin
                  class = rate - G$_Sis.rate.clasacc
                  return, strcompress("clasacc[" + string(class)      $
                                                   + "]", /remove_all)
               endif
               if ((G$_Sis.rate.clastot le rate) and                  $
                   (rate lt (G$_Sis.rate.clastot                      $
                                  + G$_Sis.NumEvtClasses))) then begin
                  class = rate - G$_Sis.rate.clastot
                  return, strcompress("clastot[" + string(class)      $
                                                   + "]", /remove_all)
               endif
               return, ""
            end
   endcase
end
