/* $Id: unpackTagBits_c.c,v 1.1 1998/01/26 18:10:25 rgr Exp $ */

/* $RCSfile: unpackTagBits_c.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/01/26 18:10:25 $ */
/* $Revision: 1.1 $ */

#include <sys/types.h>
#include "hdfi.h"
#include "cris.h"


void unpackTagBits_c(u_char  *telemetry,
                    u_long   *index,
                       int   telescope,
         struct ce_crisEvt   *event)

{
   u_long byte;

   byte = *index;
   if (telescope == 1) {
      event->prim_tag = ( (((u_short) telemetry[byte]) << 8) |
                          ((u_short) telemetry[byte+1]) );
      *index = byte+2;
   } else {
      if (event->got_2nd_tel) {
         event->sec_tag = ( (((u_short) telemetry[byte]) << 8) |
                            ((u_short) telemetry[byte+1]) );
         *index = byte+2;
      }
   }
}
