#ifndef DUMPL1SISSUBSETHSKP_C
   #define DUMPL1SISSUBSETHSKP_C

   /* $Id: dumpL1SisSubsetHskp.c,v 1.1 1998/07/27 12:15:40 rgr Exp $ */

   /* $RCSfile: dumpL1SisSubsetHskp.c,v $ */
   /* $Author: rgr $ */
   /* $Date: 1998/07/27 12:15:40 $ */
   /* $Revision: 1.1 $ */


   #include <memory.h>
   #include <stdio.h>
   #include <sys/types.h>
   
   #include "sis/L1SisSubset.h"
   #include "utilities/stringDate1996.h"

   void dumpL1SisSubsetHskp(struct L1SisSubset sub)
   {
      char line[256];
      char segmentValue[256];
      char *template[] = {"<start time               >   <S/C Clock: xxxxxxxxxx>   Hskp:<data0  ><data4>"};

      strcpy(line, template[0]);
         memset(line + 0, (int) ' ', 27);
         sprintf(segmentValue, "%s.%6.6lu", stringDate1996(sub.Second1996), sub.microsecond);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 23);
         sprintf(segmentValue, " S/C Clock: %10.10lu ", sub.ClockMinorFrame);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 61, (int) ' ', 9);
         sprintf(segmentValue, " %2.2x%2.2x%2.2x%2.2x", sub.SisData[0], sub.SisData[1], sub.SisData[2], sub.SisData[3]);
         memcpy(line + 61, segmentValue, strlen(segmentValue));
         memset(line + 70, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x%2.2x  ", sub.SisData[4], sub.SisData[5]);
         memcpy(line + 70, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
   }

#endif
