/* $Id: computeSisDataBufferRates.c,v 1.1 1998/07/27 12:32:59 rgr Exp $ */

/* $RCSfile: computeSisDataBufferRates.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/07/27 12:32:59 $ */
/* $Revision: 1.1 $ */

#include "hdfi.h"
#include "SisConstants.h"

#include "sis/L1_1SisLowPriorityRate.h"

#define NBUF  NUM_SIS_EVT_BUFFERS


void computeSisDataBufferRates(struct L1_1SisLowPriorityRate *engr)
{
   int i;
   for (i=0; i<NBUF; i++) {
      engr->DataBufferRate[i] =(float32) (
                                ((float64) engr->DataClassRate[i][0]) +
                                ((float64) engr->DataClassRate[i][1]) +
                                ((float64) engr->DataClassRate[i][2]) +
                                ((float64) engr->DataClassRate[i][3]) );
      engr->QualityDataBufferRate[i] =
                                    engr->QualityDataClassRate[i][0] |
                                    engr->QualityDataClassRate[i][1] |
                                    engr->QualityDataClassRate[i][2] |
                                    engr->QualityDataClassRate[i][3];
   }
}

#undef NBUF
