/* $Id: stringSisCoinRate.c,v 1.1 1998/08/03 12:33:30 rgr Exp $ */

/* $RCSfile: stringSisCoinRate.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/08/03 12:33:30 $ */
/* $Revision: 1.1 $ */

/* This function generates the name of a SIS coinincidence rate. */
/*                                                               */
/* Arguments                                                     */
/*   mask = coincidence mask from the command table-(input)      */
/*   rate = coincidence rate-(input)                             */
/*          0 = CoinRate0                                        */
/*          1 = CoinRate1                                        */


#include <stdio.h>
#include "hdfi.h"

char *stringSisCoinRate(uint16 mask, int rate)
{
          long i;
          long number;
   static char stringRate[32];
        uint16 tmp;

   tmp = (rate) ? (mask >> 8) & 0x00ff : mask & 0x00ff;

   number = 0;
   for (i=1; i<=8; i++) {
      if (tmp & 0x0001) number = 10*number + i;
      tmp >>= 1;
   }

   if (number) {
      sprintf(stringRate, "T%lu", number);
      return stringRate;
   }
   else
      return "";
}
